@extends('admin.layouts.app')
@section('title', 'Vidhansabha - Edit Caste')
@section('content')
    <div class="page-wrapper">
        <!-- ============================================================== -->
        <!-- Container fluid  -->
        <!-- ============================================================== -->
        <div class="container-fluid">
            <!-- ============================================================== -->
            <!-- Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <div class="row page-titles">
                <div class="col-md-5 align-self-center">
                    <h4 class="text-themecolor">Edit Caste</h4>
                </div>
                <div class="col-md-7 align-self-center text-right">
                    <div class="d-flex justify-content-end align-items-center">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                            <li class="breadcrumb-item">Edit Caste</li>
                        </ol>
                        <!-- <button type="button" class="btn btn-info d-none d-lg-block m-l-15"><i class="fa fa-plus-circle"></i> Create New</button> -->
                    </div>
                </div>
            </div>
            <!-- ============================================================== -->
            <!-- End Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <div class="row">
                <div class="col-lg-12">
                    <!-- <div class="tabs-container">-->
                    <!-- <ul class="nav nav-tabs">
                            <li class="active"><a data-toggle="tab" href="#tab-1"><i class="fa fa-hand-o-down"></i>
                                    Caste Report</a></li>
                        </ul>  -->
                    <div class="ibox-title">
                        <h5><span> Edit Caste</span></h5>
                        <!-- <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>
                                <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                                    <i class="fa fa-wrench"></i>
                                </a>
                                <a class="close-link">
                                    <i class="fa fa-times"></i>
                                </a>
                            </div> -->
                    </div>
                    <div class="ibox-content">
                        {!! Form::model($row, ['method' => 'patch', 'files' => true, 'route' => ['acaste.update', $row->id]]) !!}
                        @csrf
                        
                        <div class="form-group d-flex">
                            <label class="col-lg-3 control-label">Caste<span class="text-danger">*</span></label>
                            <div class="col-lg-5">
                                <input type="text" name="caste_name" value="{{ old('caste_name',$row->caste_name) }}" maxlength="50" class="form-control string" autocomplete="off"
                                    placeholder="Caste" required="">
                                <div class="text-danger">{{ $errors->first('caste_name') }}</div>
                            </div>
                        </div>
                        <div class="form-group d-flex">
                            <div class="col-lg-3">
                            </div>
                            <div class="col-lg-5">
                                <input type="submit" class="btn btn-primary pull-right bt-block" name="add_meeting"
                                    value="Save">
                            </div>
                        </div>
                        </form>
                    </div>
                </div>

            </div>
        </div>



    </div>
@endsection
