@extends('layouts.app')

@section('content')
<section id="wrapper">
    <div id="body_bg">
        <div class="login-box card phone-mt">
            <div class="card-body1">
            @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                <form class="form-horizontal form-material" id="loginform" action="{{ route('password.email') }}" method="post">
                    @csrf
                    <div>
                        <img src="http://www.electiondiary.in/app/img/logom.png" style="width:100%;">
                    </div>
                    <!-- <h3 class="box-title m-b-20">Sign In</h3> -->
                    <div class="form-group mt-4">
                        <div class="col-xs-12">
                            <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" placeholder="Email*" autofocus>

                                @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror

                        </div>
                    </div>
                    <div class="form-group text-center">
                        <div class="col-xs-12 p-b-20 mt-5">
                        <a href="#"><button type="submit" class="btn btn-primary">
                                    {{ __('Reset') }}
                                </button></a>
                        </div>
                    </div>
                </form>
                
            </div>
        </div>
    </div>
</section>
@endsection
