@extends('booth.layouts.app')
@section('content')
<style>
    svg{
        width: 12px;
    }
    nav .flex{
   display: none;
    }
    .hidden p{
        display: none
    }
    .table-responsive{
    overflow-x: initial !important;
    }
</style>
<div class="page-wrapper">

    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Booth Address List</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('booth.index')}}">Home</a></li>
                        <li class="breadcrumb-item">Booth Address List</li>
                    </ol>
                    <!-- <button type="button" class="btn btn-info d-none d-lg-block m-l-15"><i class="fa fa-plus-circle"></i> Create New</button> -->
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->


        <div class="row">
            <div class="col-lg-12">
             
                 <div class="col-lg-12">
                <div class="text-right m-xs mb-3">
                    <a href="{{ route('boothaddress.create') }}" class="btn btn-warning btn-sm m-xxs"><i class="fa fa-user"></i> Add Booth Address</a>
                </div>
                
                
                <div class="ibox-title">
                    <h5><span class="text-info"> All Booth Address List</span></h5>
                     <div class="ibox-tools">
                        @if(session()->has('success'))
                        <span class="text-success samll">{{session()->get('success')}}</span>
                        @endif
                    </div>
                </div>
                <div class="tab-content">
                    <div id="tab-1" class="tab-pane active">
                        <div class="panel-body" style="background: #fff !important;
                    border: 1px solid #e7eaec;
                    border-radius: 2px;
                    padding: 20px 20px;
                    position: relative;">
                            <div class="table-responsive">
                                <div id="DataTables_Table_0_wrapper"
                                    class="dataTables_wrapper form-inline dt-bootstrap no-footer">

                                    <form action="{{request()->url()}}" id="searchForm" method="get">
                                    <div class="dataTables_length" id="DataTables_Table_0_length"><label>Show
                                            <select name="paginate" id="paginate"
                                                aria-controls="DataTables_Table_0"
                                                class="form-control input-sm">
                                                <option @if($paginate == 10) selected @endif value="10">10</option>
                                                <option @if($paginate == 25) selected @endif value="25">25</option>
                                                <option @if($paginate == 50) selected @endif value="50">50</option>
                                                <option @if($paginate == 100) selected @endif value="100">100</option>
                                            </select> entries</label></div>
                                    <div id="DataTables_Table_0_filter" class="dataTables_filter">
                                        <label>Search:<input type="search" value="{{$search}}" name="search" class="form-control input-sm"
                                                placeholder="" aria-controls="DataTables_Table_0"></label>
                                    </div>
                                </form>
                                    <table
                                       class="table table-striped table-bordered dt-responsive nowrap"
                                        id="DataTables_Table_0" aria-describedby="DataTables_Table_0_info"
                                        role="grid">
                                        <thead>
                                            <tr role="row">
                                                    <th class="@if($sort_f == 'id' && $sort_by == 'desc') sorting_desc @elseif($sort_f == 'id' && $sort_by == 'asc') sorting_asc @else sorting @endif" tabindex="0"
                                                        aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                        aria-label="Access Data: activate to sort column ascending"
                                                        style="width: 813.172px;">
                                                        <form action="{{request()->url()}}" method="get">
                                                        <input type="hidden" name="sort_f" value="id">
                                                        @php
                                                        if($sort_by == 'asc'){ 
                                                          $sort = 'desc';
                                                        }
                                                        elseif($sort_by == 'desc'){
                                                        $sort = 'asc';
                                                    }else{
                                                        $sort = 'asc';
                                                    }
                                                        @endphp
                                                        <input type="hidden" name="sort_by" value="{{$sort}}">
                                                        <input type="submit" style="background: transparent;border: none;" value="No.">
                                                </form>
                                                    </th>
                                                <th class="@if($sort_f == 'slno' && $sort_by == 'desc') sorting_desc @elseif($sort_f == 'slno' && $sort_by == 'asc') sorting_asc @else sorting @endif" tabindex="0"
                                                    aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                    aria-label="Access Data: activate to sort column ascending"
                                                    style="width: 813.172px;">
                                                     <form action="{{request()->url()}}" method="get">
                                                    <input type="hidden" name="sort_f" value="slno">
                                                    @php
                                                    if($sort_by == 'asc'){ 
                                                      $sort = 'desc';
                                                    }
                                                    elseif($sort_by == 'desc'){
                                                    $sort = 'asc';
                                                }else{
                                                    $sort = 'asc';
                                                }
                                                    @endphp
                                                    <input type="hidden" name="sort_by" value="{{$sort}}">
                                                    <input type="submit" style="background: transparent;border: none;" value="Serial No">
                                            </form>
                                                </th>
                                         
                                                <th class="@if($sort_f == 'address' && $sort_by == 'desc') sorting_desc @elseif($sort_f == 'address' && $sort_by == 'asc') sorting_asc @else sorting @endif" tabindex="0"
                                                    aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                    aria-label="Access Data: activate to sort column ascending"
                                                    style="width: 813.172px;">
                                                    <form action="{{request()->url()}}" method="get">
                                                    <input type="hidden" name="sort_f" value="address">
                                                    @php
                                                    if($sort_by == 'asc'){ 
                                                      $sort = 'desc';
                                                    }
                                                    elseif($sort_by == 'desc'){
                                                    $sort = 'asc';
                                                }else{
                                                    $sort = 'asc';
                                                }
                                                    @endphp
                                                    <input type="hidden" name="sort_by" value="{{$sort}}">
                                                    <input type="submit" style="background: transparent;border: none;" value="Address">
                                            </form>
                                                </th>
                                                <th  tabindex="0"
                                                    aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                    aria-label="Info: activate to sort column ascending"
                                                    style="width: 813.172px;">Eidt/Delete</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            
                                            @if(count($boothaddress) != 0)
                                            @foreach($boothaddress as $key => $r)
                                                <tr @if($r->action != null) style="background-color: green;color: #fff;" @endif>
                                                    <td>{{ ($key+1) + ($boothaddress->currentPage() - 1)*$boothaddress->perPage() }}</td>
                                                    
                                                    <td>{{$r->slno}}</td>
                                                    <td>{{$r->address}}</td>
                                                    <td>
                                                        @if($r->action == null) 
                                                        <a href="{{ route('boothaddress.edit',$r->unique_id) }}" data-toggle="tooltip" data-original-title="Edit"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                                         @endif
                                                        <a href="{{ url('booth/boothaddressDelete',$r->unique_id) }}" data-toggle="tooltip" data-original-title="Close"> <i class="fa fa-close text-danger"></i> </a>
                                                    </td>
                                                 </tr>
                                            @endforeach
                                            @else
                                            <tr class="odd">
                                                <td valign="top" colspan="5"
                                                    class="dataTables_empty text-center">No data
                                                    available in table</td>
                                            </tr>
                                            @endif
                                        </tbody>
                                    </table>
                                 
                                    <div class="dataTables_paginate paging_simple_numbers"
                                        id="DataTables_Table_0_paginate">
                                        
                                        {{ $boothaddress->appends(request()->input())->links() }}
                                    
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>


 

{{-- @if($errors->any()) --}}
<script>
$('#exampleModal').modal('show');
</script>
{{-- @endif --}}
<script>
    $('#paginate').on('change', function(){
        $('#searchForm').submit();
    });
</script>

<script>
    $('.number').keyup(function(e) {
        if (/\D/g.test(this.value)) {
            this.value = this.value.replace(/\D/g, '');
        }
    });
</script>

<script>
$(function() {

$('.string').keydown(function (e) {

if (e.shiftKey || e.ctrlKey || e.altKey) {

  e.preventDefault();

} else {

  var key = e.keyCode;

  if (!((key == 8) || (key == 32) || (key == 46) || (key >= 35 && key <= 40) || (key >= 65 && key <= 90))) {

    e.preventDefault();

  }

}

});

});
</script>
@endsection
@section('script')
<script>
$("#DataTables_Table_0").dataTable({
   "processing": false, // for show progress bar
    "paging": false, // for disable paging
    "lengthMenu": true, // Table length
    "info": false, // for disable information display
    "filter": false, // this is for disable filter (search box)
    "ordering": false, // this is for disable sort order
    "orderMulti": false, // for disable multiple column at once
    "aoColumns": [
			{ "bSortable": true},
			null, null, null, null, null, null
		]
});
</script>
@endsection