<div class="boxed_wrapper ltr">
   <!-- main header -->
   <header class="main-header">
       <!-- header-top -->
       <div class="header-top">
           <div class="top-inner">
               <div class="top-left">
                   <ul class="info-list clearfix">
                       <li><i class="fas fa-map-marker-alt"></i><span>Swem Water Tech India Pvt. Ltd.</span></li>
                       <li><i class="far fa-envelope"></i><a href="mailto:Info@swemwater.com">Info@swemwater.com</a></li>
                       <li><i class="fas fa-phone-volume"></i><a href="tel:+91 9314875435">+91 9314875435</a></li>
                   </ul>
               </div>
               <div class="top-right">
                   <!-- <div class="login-box"><a href="#">Login</a></div> -->
                   <ul class="social-links clearfix">
                       <li><a href="#"><i class="fab fa-facebook-f"></i></a></li>
                       <li><a href="#"><i class="fab fa-twitter"></i></a></li>
                        <li><a href="#"><i class="fab fa-linkedin-in"></i></a></li>
                        <li><a href="#"><i class="fab fa-instagram"></i></a></li>
                   </ul>
               </div>
           </div>
       </div>
       <!-- header-lower -->
       <div class="header-lower">
           <div class="outer-box">
               <div class="logo-box">
                   <figure class="logo"><a href="{{url('/home')}}"><img src="{{asset('webtheme/images/logo.png')}}" alt=""></a></figure>
               </div>
               <div class="menu-area">
                   <!--Mobile Navigation Toggler-->
                   <div class="mobile-nav-toggler">
                       <i class="icon-bar"></i>
                       <i class="icon-bar"></i>
                       <i class="icon-bar"></i>
                   </div>
                   <nav class="main-menu navbar-expand-md navbar-light clearfix">
                       <div class="collapse navbar-collapse show clearfix" id="navbarSupportedContent">
                           <ul class="navigation clearfix">
                               <li><a href="{{url('/home')}}">Home</a></li>
                               <li class="dropdown"><a href="{{url('aboutus')}}">About Us</a>
                                <ul>
                                       <li><a href="{{ url('certificates') }}">Certificates & Exhibitions</a></li>
                                   </ul>
                                </li> 
                                <li class="dropdown"><a href="#">Products</a>
                                   <ul>
                                       @foreach($productcat as $r)
                                       <li class="dropdown">
                                           <a href="{{ url('productcat',$r->id) }}">{{ $r->category_name}}</a>
                                           <ul>
                                               @php
                                                $subcat = App\Models\Productsub::where('category_id', $r->id)
                                                    ->where('status', '1')
                                                    ->get();
                                            @endphp
                                            @foreach ($subcat as $sub)
                                               <li>
                                                   <a href="{{url('productsub',$sub->id)}}">{{ $sub->subcategory_name }}</a>
                                                   </li>
                                                @endforeach
                                           </ul>
                                       </li>
                                        @endforeach
                                   </ul>
                                   </li>
                               <li><a href="{{url('service')}}">Services</a></li>
                              
                               <li class="dropdown"><a href="#">Application & Solution</a>
                                   <ul>
                                       @foreach($category as $r)
                                       <li class="dropdown">
                                           <a href="{{ url('application',$r->id) }}">{{ $r->category_name}}</a>
                                           <ul>
                                               @php
                                                $subcat = App\Models\Subcategory::where('category_id', $r->id)
                                                    ->where('status', '1')
                                                    ->get();
                                            @endphp
                                            @foreach ($subcat as $sub)
                                               <li>
                                                   <a href="{{ url('applicationsub',$sub->id) }}">{{ $sub->subcategory_name }}</a>
                                                   </li>
                                                @endforeach
                                           </ul>
                                       </li>
                                        @endforeach
                                   </ul>
                               </li>
                               
                               <li><a href="{{ url('career') }}">Career</a></li>
                               <li><a href="{{ url('contact') }}">Contact</a></li>
                               <div class="mobile-nav-toggler">
                                <i class="icon-bar"></i>
                                <i class="icon-bar"></i>
                                <i class="icon-bar"></i>
                            </div>
                           </ul>
                       </div>
                   </nav>
                  
               </div>
           </div>
       </div>

       <!--sticky Header-->
       <div class="sticky-header">
           <div class="outer-container">
               <div class="outer-box">
                   <div class="logo-box">
                       <figure class="logo"><a href="#"><img src="{{asset('webtheme/images/logo.png')}}" alt=""></a></figure>
                   </div>
                   <div class="menu-area">
                       <nav class="main-menu clearfix">
                           <!--Keep This Empty / Menu will come through Javascript-->
                       </nav>
                       {{-- <ul class="menu-right-content">
                           <li class="support-box">
                               <i class="icon-4"></i>
                               <a href="tel:91-141-2770384">+91-141-2770384,2770408</a>
                           </li>
                           <li class="btn-box">
                               <a href="{{ url('contact') }}" class="theme-btn btn-one">Get A Quote</a>
                           </li>
                       </ul> --}}
                   </div>
               </div>
           </div>
       </div>
   </header>    
   <!-- main-header end -->

   <!-- Mobile Menu  -->
   <div class="mobile-menu">
       <div class="menu-backdrop"></div>
       <div class="close-btn"><i class="fas fa-times"></i></div>
       
       <nav class="menu-box">
           <div class="nav-logo"><a href="#"><img src="{{asset('webtheme/images/logo.png')}}" alt="" title=""></a></div>
           <div class="menu-outer"><!--Here Menu Will Come Automatically Via Javascript / Same Menu as in Header--></div>
           <div class="contact-info">
               <h4>Contact Info</h4>
               <ul>
                   <li>SWEM WATER TECH ( INDIA ) PVT. LTD. J-1097, Near CIPET, Phase-III, RIICO Ind. Area Sitapura Jaipur-302022, Rajasthan India</li>
                   <li><a href="tel:+91 9314875435">+91 9314875435</a></li>
                   <li><a href="mailto:info@swemwater.com">info@swemwater.com</a></li>
               </ul>
           </div>
           <div class="social-links">
               <ul class="clearfix">
                   <li><a href="#"><span class="fab fa-twitter"></span></a></li>
                   <li><a href="#"><span class="fab fa-facebook-square"></span></a></li>
                   <li><a href="#"><span class="fab fa-linkedin-in"></span></a></li>
                   <li><a href="#"><span class="fab fa-instagram"></span></a></li>
                   
               </ul>
           </div>
       </nav>
   </div><!-- End Mobile Menu -->