
<?php $__env->startSection('content'); ?>
<style>
    svg{
        width: 12px;
    }
    nav .flex{
   display: none;
    }
    .hidden p{
        display: none
    }
    .table-responsive{
    overflow-x: initial !important;
    }
</style>
<div class="page-wrapper">

    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Caste List</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('mla.index')); ?>">Home</a></li>
                        <li class="breadcrumb-item">Caste List</li>
                    </ol>
                    <!-- <button type="button" class="btn btn-info d-none d-lg-block m-l-15"><i class="fa fa-plus-circle"></i> Create New</button> -->
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->


        <div class="row">
            <div class="col-lg-12">
                <div class="text-right m-xs mb-3">
                    <a href="<?php echo e(route('mcaste.create')); ?>" class="btn btn-warning btn-sm m-xxs"><i class="fa fa-user"></i> Add Caste</a>
                </div>


               

                <!-- <div class="tabs-container">-->
                <!-- <ul class="nav nav-tabs">
                    <li class="active"><a data-toggle="tab" href="#tab-1"><i class="fa fa-hand-o-down"></i>
                            Caste Report</a></li>
                </ul>  -->
                <div class="ibox-title">
                    <h5><span class="text-info"> All Caste List</span></h5>
                     <div class="ibox-tools">
                        <?php if(session()->has('success')): ?>
                        <span class="text-success samll"><?php echo e(session()->get('success')); ?></span>
                        <?php endif; ?>
                        
                    </div>
                </div>
                <div class="tab-content">
                    <div id="tab-1" class="tab-pane active">
                        <div class="panel-body" style="background: #fff !important;
                    border: 1px solid #e7eaec;
                    border-radius: 2px;
                    padding: 20px 20px;
                    position: relative;">


                            <div class="table-responsive">
                                <div id="DataTables_Table_0_wrapper"
                                    class="dataTables_wrapper form-inline dt-bootstrap no-footer">
                                    
                                    <form action="<?php echo e(request()->url()); ?>" id="searchForm" method="get">
                                    <div class="dataTables_length" id="DataTables_Table_0_length"><label>Show
                                            <select name="paginate" id="paginate"
                                                aria-controls="DataTables_Table_0"
                                                class="form-control input-sm">
                                                <option <?php if($paginate == 10): ?> selected <?php endif; ?> value="10">10</option>
                                                <option <?php if($paginate == 25): ?> selected <?php endif; ?> value="25">25</option>
                                                <option <?php if($paginate == 50): ?> selected <?php endif; ?> value="50">50</option>
                                                <option <?php if($paginate == 100): ?> selected <?php endif; ?> value="100">100</option>
                                            </select> entries</label></div>
                                    <div id="DataTables_Table_0_filter" class="dataTables_filter">
                                        <label>Search:<input type="search" value="<?php echo e($search); ?>" name="search" class="form-control input-sm"
                                                placeholder="" aria-controls="DataTables_Table_0"></label>
                                    </div>
                                </form>
                                   
                                    <table
                                        class="table table-striped table-bordered table-hover dataTables-example dataTable no-footer"
                                        id="DataTables_Table_0" aria-describedby="DataTables_Table_0_info"
                                        role="grid">
                                        <thead>
                                            <tr role="row">
                                                <form action="<?php echo e(request()->url()); ?>" method="get">
                                                    <th class="<?php if($sort_f == 'id' && $sort_by == 'desc'): ?> sorting_desc <?php elseif($sort_f == 'id' && $sort_by == 'asc'): ?> sorting_asc <?php else: ?> sorting <?php endif; ?>" tabindex="0"
                                                        aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                        aria-label="Access Data: activate to sort column ascending"
                                                        style="width: 813.172px;">
                                                        <input type="hidden" name="sort_f" value="id">
                                                        <?php
                                                        if($sort_by == 'asc'){ 
                                                          $sort = 'desc';
                                                        }
                                                        elseif($sort_by == 'desc'){
                                                        $sort = 'asc';
                                                    }else{
                                                        $sort = 'asc';
                                                    }
                                                        ?>
                                                        <input type="hidden" name="sort_by" value="<?php echo e($sort); ?>">
                                                        <input type="submit" style="background: transparent;border: none;" value="No.">
                                                    </th>
                                                </form>
                                                    <form action="<?php echo e(request()->url()); ?>" method="get">
                                                <th class="<?php if($sort_f == 'caste_name' && $sort_by == 'desc'): ?> sorting_desc <?php elseif($sort_f == 'caste_name' && $sort_by == 'asc'): ?> sorting_asc <?php else: ?> sorting <?php endif; ?>" tabindex="0"
                                                    aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                    aria-label="Caste: activate to sort column ascending"
                                                    style="width: 383.219px;">
                                                    <input type="hidden" name="sort_f" value="caste_name">
                                                    <?php
                                                    if($sort_by == 'asc'){ 
                                                      $sort = 'desc';
                                                    }
                                                    elseif($sort_by == 'desc'){
                                                    $sort = 'asc';
                                                }else{
                                                    $sort = 'asc';
                                                }
                                                    ?>
                                                    <input type="hidden" name="sort_by" value="<?php echo e($sort); ?>">
                                                    <input type="submit" style="background: transparent;border: none;" value="Caste Name"> 
                                                </th>
                                            </form>
                                         
                                                <th  tabindex="0"
                                                    aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                    aria-label="Info: activate to sort column ascending"
                                                    style="width: 813.172px;">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            
                                            <?php if(count($caste) != 0): ?>
                                            <?php $__currentLoopData = $caste; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e(($key+1) + ($caste->currentPage() - 1)*$caste->perPage()); ?></td>
                                                  
                                                    <td><?php echo e($r->caste_name); ?></td>
                                                    <td>
                                                       
                                                        <a href="<?php echo e(route('mcaste.edit',$r->unique_id)); ?>" data-toggle="tooltip" data-original-title="Edit"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                                        <a href="<?php echo e(url('mla/casteDelete',$r->unique_id)); ?>" data-toggle="tooltip" data-original-title="Close"> <i class="fa fa-close text-danger"></i> </a>
                                                    </td>
                                                 </tr>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            <?php else: ?>
                                            <tr class="odd">
                                                <td valign="top" colspan="5"
                                                    class="dataTables_empty text-center">No data
                                                    available in table</td>
                                            </tr>
                                            <?php endif; ?>
                                        </tbody>
                                    </table>
                                    
                                    <div class="dataTables_paginate paging_simple_numbers"
                                        id="DataTables_Table_0_paginate">
                                        
                                        <?php echo e($caste->appends(request()->input())->links()); ?>

                                        
                                    </div>
                                </div>
                            </div>


                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <!-- ============================================================== -->
    <!-- End Container fluid  -->
    <!-- ============================================================== -->
</div>


 


<script>
$('#exampleModal').modal('show');
</script>

<script>
    $('#paginate').on('change', function(){
        $('#searchForm').submit();
    });
</script>

<script>
    $('.number').keyup(function(e) {
        if (/\D/g.test(this.value)) {
            this.value = this.value.replace(/\D/g, '');
        }
    });
</script>

<script>
$(function() {

$('.string').keydown(function (e) {

if (e.shiftKey || e.ctrlKey || e.altKey) {

  e.preventDefault();

} else {

  var key = e.keyCode;

  if (!((key == 8) || (key == 32) || (key == 46) || (key >= 35 && key <= 40) || (key >= 65 && key <= 90))) {

    e.preventDefault();

  }

}

});

});
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('mla.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dakshgroup/public_html/vidhansabha_election/resources/views/mla/caste/index.blade.php ENDPATH**/ ?>