<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Contact;
use App\Models\Certificate;
use App\Models\Certificatecategory;
use App\Models\User;
use App\Models\Product;
use App\Models\Productcat;
use App\Models\Productsub;
class HomeController extends Controller
{
    public function index()
    {
        $header= Header::where('status', 1)->get();
         $category=Category::Where('status','1')->get();
        $subcategory=SubCategory::Where('status','1')->get();
        $product=Product::Where('status',1)->get()->take(3);
        $productcat=Productcat::Where('status','1')->get();
        return view('index', compact('header','category','subcategory','product','productcat'));
    }
    
      public function certificates()
    {
        $header= Header::where('status', 1)->get();
         $category=Category::Where('status','1')->get();
        $subcategory=SubCategory::Where('status','1')->get();
        $certificate=Certificate::Where('status','1')->get();
        $certificate_cat=Certificatecategory::Where('status','1')->get();
        $productcat =Productcat::Where('status','1')->get();
        return view('certificates',compact('header','category','subcategory','certificate','certificate_cat','productcat'));
    }
    public function cretificate_cat($id)
    {
        $header= Header::where('status', 1)->get();
         $category=Category::Where('status','1')->get();
        $subcategory=SubCategory::Where('status','1')->get();
       $certificate=Certificate::Where('status','1')->where('category_id',$id)->get();
       $productcat =Productcat::Where('status','1')->get();
       $certificate_cat=Certificatecategory::Where('status','1')->get();
       $categoryDetail=Certificatecategory::where('id',$id)->first();
        $categoryName=$categoryDetail->category_name;
        return view('cretificate_cat',compact('header','category','subcategory','certificate','productcat','certificate_cat','categoryName'));
    }

    public function application($id)
    {
        $type = 'category';
        $category=Category::Where('status','1')->get();
        $header= Header::where('status', 1)->get();
        $course = Course::where('category_id', $id)->get();
        $categoryDetail=Category::where('id',$id)->first();
        $categoryData=Category::where('id',$id)->first();
        $categoryName=$categoryDetail->category_name;
        $categorySub=Subcategory::Where('status',1)->where('category_id',$categoryData->id)->get();
        $productcat =Productcat::Where('status','1')->get();
        return view('application', compact('course','header','category','type','categoryDetail','categoryData','categoryName','categorySub','productcat'));
    }
   
   
    public function applicationsub($id)
    {
        $type = 'sub_category';
        $category=Category::Where('status','1')->get();
        $course = Course::where('subcategory_id', $id)->get();
        $header= Header::where('status', 1)->get();
        $categoryDetail=Subcategory::where('id',$id)->first();
        $categoryData=Category::Where('status',1)->where('id',$categoryDetail->category_id)->first();
        $categorySub=Subcategory::Where('status',1)->where('category_id',$categoryData->id)->get();
        $categoryName=$categoryDetail->subcategory_name;
        $productcat =Productcat::Where('status','1')->get();
        return view('application', compact('course','header','category','type','categoryDetail','categoryData','categoryName','categorySub','productcat'));
    }
    
    public function product($id)
    {
        
        $category=Productcat::Where('status','1')->get();
        $header= Header::where('status', 1)->get();
        $product = Product::where('status', 1)->get();
        $product1 = Product::where('id', $id)->first();
        $categoryDetail=Productcat::where('id',$product1->category_id)->first();
        $categoryData=Productcat::Where('status',1)->where('id',$product1->category_id)->first();
        $categoryName=$categoryDetail->category_name;
        $categorySub=Productsub::Where('status',1)->where('category_id',$categoryData->id)->get();
        $productcat =Productcat::Where('status','1')->get();
        return view('product', compact('product','header','category','categoryDetail','categoryData','categoryName','categorySub','productcat','product1'));
    }
   
    public function productcat($id)
    {
        
        $category=Productcat::Where('status','1')->get();
        $header= Header::where('status', 1)->get();
        $product = Product::where('status', 1)->get();
        $categoryDetail=Productcat::where('id',$id)->first();
        $categoryData=Productcat::Where('status',1)->where('id',$id)->first();
        $categoryName=$categoryDetail->category_name;
        $categorySub=Productsub::Where('status',1)->where('category_id',$categoryData->id)->get();
        $productcat =Productcat::Where('status','1')->get();
        return view('product', compact('product','header','category','categoryDetail','categoryData','categoryName','categorySub','productcat'));
    }
   
   
    public function pruductsub($id)
    {
        $type = 'sub_category';
        $category=Productcat::Where('status','1')->get();
        $product =Product::where('subcategory_id', $id)->get();
        $header=Header::where('status', 1)->get();
        $categoryDetail=Productsub::where('id',$id)->first();
        $categoryData=Productcat::Where('status',1)->where('id',$categoryDetail->category_id)->first();
        $categorySub=Productsub::Where('status',1)->where('category_id',$categoryData->id)->get();
        $categoryName=$categoryDetail->subcategory_name;
        $productcat =Productcat::Where('status','1')->get();
        return view('product', compact('product','header','category','type','categoryDetail','categoryData','categoryName','categorySub','productcat'));
    }
    

    public function contactus()
    {
       $header= Header::where('status', 1)->get();
         $category=Category::Where('status','1')->get();
        $subcategory=SubCategory::Where('status','1')->get();
        $productcat =Productcat::Where('status','1')->get();
        return view('contact',compact('header','category','subcategory','productcat'));
    }
    
  
    

    public function supportstore(Request $request)
    {
        // dd($request->all());
      $this->validate($request, [
      ]);
      $support = new Contact;
      $support->name = $request->name;
      $support->cname = $request->cname;
      $support->subject = $request->subject;
      $support->mobile = $request->mobile;
      if ($request->hasFile('attach')) {
        $image = $request->file('attach');
        $filename = time().''. $image->getClientOriginalName();
        $destinationPath = public_path('uploads/attach');
        $image->move($destinationPath, $filename);
        $support->attach = "uploads/attach/" . $filename;
    }
      $support->address = $request->address;
      $support->unique_id=uniqid();
      $support->status = 1;
      $support->save();  
     
    //   $request->session()->flash('alert-success', 'Thank You! We will contact you shortly');
      return redirect()->back()->with('alert', 'Thank ! You! We will contact you shortly');
      return back();
        
    }
    
      
}
