@extends('layouts.app')

@section('content')
<section id="wrapper">
    <div id="body_bg">
        <div class="login-box card phone-mt">
            <div class="card-body1">
            
                <form class="form-horizontal form-material" id="loginform" action="{{route('post.login')}}" method="post">
                    @csrf
                    <div>
                        <img src="http://www.electiondiary.in/app/img/logom.png" style="width:100%;">
                    </div>
                    @error('email')
                                    <span class="text-danger" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                    <!-- <h3 class="box-title m-b-20">Sign In</h3> -->
                    <div class="form-group mt-4">
                        <div class="col-xs-12">
                            <input class="form-control" type="email" required="" name="email"
                                placeholder="Email*">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-xs-12">
                            <input class="form-control" type="password" required="" name="password"
                                placeholder="Password*">
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-md-12">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="customCheck1">
                                <label class="custom-control-label" for="customCheck1">Remember me</label>
                                <a href="{{ route('password.request') }}"  class="text-dark pull-right"><i
                                        class="fa fa-lock m-r-5"></i> Forgot password?</a>
                            </div>
                        </div>
                    </div>
                    <div class="form-group text-center">
                        <div class="col-xs-12 p-b-20 mt-5">
                            <a href="index.html" target="_blank" rel="noopener noreferrer"><button
                                    class="btn btn-block btn-lg btn-info btn-rounded" name="submit"
                                    type="submit">Log In</button></a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</section>
@endsection
