@extends('booth.layouts.app')
@section('content')
<style>
    svg{
        width: 12px;
    }
    nav .flex{
   display: none;
    }
    .hidden p{
        display: none
    }
    .table-responsive{
    overflow-x: initial !important;
    }
    .html5buttons {
    float: none !important;
    text-align: center !important;
}
</style>
<div class="page-wrapper">

    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Voter List Manage</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('booth.index')}}">Home</a></li>
                        <li class="breadcrumb-item">Voter List Manage</li>
                    </ol>
                    <!-- <button type="button" class="btn btn-info d-none d-lg-block m-l-15"><i class="fa fa-plus-circle"></i> Create New</button> -->
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->


        <div class="row">
            <div class="col-lg-12">
                {{-- <div class="text-right m-xs mb-3">
                    <a href="#" class="btn btn-warning btn-sm m-xxs" data-toggle="modal"
                        data-target="#exampleModal"><i class="fa fa-user"></i> Add Admin</a>
                </div> --}}




                <!-- <div class="tabs-container">-->
                <!-- <ul class="nav nav-tabs">
                    <li class="active"><a data-toggle="tab" href="#tab-1"><i class="fa fa-hand-o-down"></i>
                            Caste Report</a></li>
                </ul>  -->
                <div class="ibox-title">
                    <h5><span class="text-info"> All Voter List</span></h5>
                     <div class="ibox-tools">
                        @if(session()->has('success'))
                        <span class="text-success samll">{{session()->get('success')}}</span>
                        @endif
                        {{-- <a class="collapse-link">
                            <i class="fa fa-chevron-up"></i>
                        </a>
                        <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                            <i class="fa fa-wrench"></i>
                        </a>
                        <a class="close-link">
                            <i class="fa fa-times"></i>
                        </a> --}}
                    </div>
                </div>
               
                <div class="tab-content">
                 
                    <div id="tab-1" class="tab-pane active">
                        <div class="panel-body" style="background: #fff !important;
                    border: 1px solid #e7eaec;
                    border-radius: 2px;
                    padding: 20px 20px;
                    position: relative;">

@php 
$address = App\Models\Boothaddress::where('status',1)->get();
@endphp
                            <div class="table-responsive">
                                 <div class="html5buttons">
                                        <div class="dt-buttons btn-group">
                                            @foreach ($address as $r)
                                            <a class="btn btn-default buttons-copy buttons-html5" tabindex="0"
                                                aria-controls="DataTables_Table_0"
                                                href="#"><span>{{$r->address }} {{$r->slno}}</span></a>
                                           @endforeach
                                                </div>
                                    </div> 
                                <div id="DataTables_Table_0_wrapper"
                                    class="dataTables_wrapper form-inline dt-bootstrap no-footer">
                                   
                                    <form action="{{request()->url()}}" id="searchForm" method="get">
                                    <div class="dataTables_length" id="DataTables_Table_0_length"><label>Show
                                            <select name="paginate" id="paginate"
                                                aria-controls="DataTables_Table_0"
                                                class="form-control input-sm">
                                                <option @if($paginate == 10) selected @endif value="10">10</option>
                                                <option @if($paginate == 25) selected @endif value="25">25</option>
                                                <option @if($paginate == 50) selected @endif value="50">50</option>
                                                <option @if($paginate == 100) selected @endif value="100">100</option>
                                            </select> entries</label></div>
                                    <div id="DataTables_Table_0_filter" class="dataTables_filter">
                                        <label>Search:<input type="search" value="{{$search}}" name="search" class="form-control input-sm"
                                                placeholder="" aria-controls="DataTables_Table_0"></label>
                                    </div>
                                </form>

                                    <table
                                        class="table table-striped table-bordered dt-responsive nowrap"
                                        id="DataTables_Table_0" aria-describedby="DataTables_Table_0_info"
                                        role="grid">
                                        <thead>
                                            <tr role="row">
                                                
                                                    <th class="@if($sort_f == 'slnoinpart' && $sort_by == 'desc') sorting_desc @elseif($sort_f == 'slnoinpart' && $sort_by == 'asc') sorting_asc @else sorting @endif" tabindex="0"
                                                        aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                        aria-label="Access Data: activate to sort column ascending"
                                                        style="width: 813.172px;">
                                                        <form action="{{request()->url()}}" method="get">
                                                        <input type="hidden" name="sort_f" value="slnoinpart">
                                                        @php
                                                        if($sort_by == 'asc'){
                                                          $sort = 'desc';
                                                        }
                                                        elseif($sort_by == 'desc'){
                                                        $sort = 'asc';
                                                    }else{
                                                        $sort = 'asc';
                                                    }
                                                        @endphp
                                                        <input type="hidden" name="sort_by" value="{{$sort}}">
                                                        <input type="submit" style="background: transparent;border: none;" value="No.">
                                                </form>
                                                    </th>
                                                    
                                                <th class="@if($sort_f == 'fm_name_en' && $sort_by == 'desc') sorting_desc @elseif($sort_f == 'fm_name_en' && $sort_by == 'asc') sorting_asc @else sorting @endif" tabindex="0"
                                                    aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                    aria-label="Caste: activate to sort column ascending"
                                                    style="width: 383.219px;">
                                                    <form action="{{request()->url()}}" method="get">
                                                    <input type="hidden" name="sort_f" value="fm_name_en">
                                                    @php
                                                    if($sort_by == 'asc'){
                                                      $sort = 'desc';
                                                    }
                                                    elseif($sort_by == 'desc'){
                                                    $sort = 'asc';
                                                }else{
                                                    $sort = 'asc';
                                                }
                                                    @endphp
                                                    <input type="hidden" name="sort_by" value="{{$sort}}">
                                                    <input type="submit" style="background: transparent;border: none;" value="Name">
                                            </form>
                                                </th>
                                            
                                                <th class="@if($sort_f == 'rln_fm_nm_en' && $sort_by == 'desc') sorting_desc @elseif($sort_f == 'rln_fm_nm_en' && $sort_by == 'asc') sorting_asc @else sorting @endif" tabindex="0"
                                                    aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                    aria-label="Caste: activate to sort column ascending"
                                                    style="width: 383.219px;">
                                                    <form action="{{request()->url()}}" method="get">
                                                    <input type="hidden" name="sort_f" value="rln_fm_nm_en">
                                                    @php
                                                    if($sort_by == 'asc'){
                                                      $sort = 'desc';
                                                    }
                                                    elseif($sort_by == 'desc'){
                                                    $sort = 'asc';
                                                }else{
                                                    $sort = 'asc';
                                                }
                                                    @endphp
                                                    <input type="hidden" name="sort_by" value="{{$sort}}">
                                                    <input type="submit" style="background: transparent;border: none;" value="Father Name">
                                            </form>
                                                </th>
                                                 <th class="@if($sort_f == 'age' && $sort_by == 'desc') sorting_desc @elseif($sort_f == 'age' && $sort_by == 'asc') sorting_asc @else sorting @endif" tabindex="0"
                                                    aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                    aria-label="Access Data: activate to sort column ascending"
                                                    style="width: 813.172px;">
                                                    <form action="{{request()->url()}}" method="get">
                                                    <input type="hidden" name="sort_f" value="age">
                                                    @php
                                                    if($sort_by == 'asc'){
                                                      $sort = 'desc';
                                                    }
                                                    elseif($sort_by == 'desc'){
                                                    $sort = 'asc';
                                                }else{
                                                    $sort = 'asc';
                                                }
                                                    @endphp
                                                    <input type="hidden" name="sort_by" value="{{$sort}}">
                                                    <input type="submit" style="background: transparent;border: none;" value="Age">
                                            </form>
                                                </th>
                                            
                                                <th class="@if($sort_f == 'section_no' && $sort_by == 'desc') sorting_desc @elseif($sort_f == 'section_no' && $sort_by == 'asc') sorting_asc @else sorting @endif" tabindex="0"
                                                    aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                    aria-label="Access Data: activate to sort column ascending"
                                                    style="width: 813.172px;">
                                                    <form action="{{request()->url()}}" method="get">
                                                    <input type="hidden" name="sort_f" value="section_no">
                                                    @php
                                                    if($sort_by == 'asc'){
                                                      $sort = 'desc';
                                                    }
                                                    elseif($sort_by == 'desc'){
                                                    $sort = 'asc';
                                                }else{
                                                    $sort = 'asc';
                                                }
                                                    @endphp
                                                    <input type="hidden" name="sort_by" value="{{$sort}}">
                                                    <input type="submit" style="background: transparent;border: none;" value="Mohala No">
                                            </form>
                                                </th>
                                                <th class="@if($sort_f == 'c_house_no' && $sort_by == 'desc') sorting_desc @elseif($sort_f == 'c_house_no' && $sort_by == 'asc') sorting_asc @else sorting @endif" tabindex="0"
                                                    aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                    aria-label="Access Data: activate to sort column ascending"
                                                    style="width: 813.172px;">
                                                    <form action="{{request()->url()}}" method="get">
                                                    <input type="hidden" name="sort_f" value="c_house_no">
                                                    @php
                                                    if($sort_by == 'asc'){
                                                      $sort = 'desc';
                                                    }
                                                    elseif($sort_by == 'desc'){
                                                    $sort = 'asc';
                                                }else{
                                                    $sort = 'asc';
                                                }
                                                    @endphp
                                                    <input type="hidden" name="sort_by" value="{{$sort}}">
                                                    <input type="submit" style="background: transparent;border: none;" value="House No">
                                            </form>
                                                </th>
                                            
                                                <th class="@if($sort_f == 'epic_no' && $sort_by == 'desc') sorting_desc @elseif($sort_f == 'epic_no' && $sort_by == 'asc') sorting_asc @else sorting @endif" tabindex="0"
                                                    aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                    aria-label="Access Data: activate to sort column ascending"
                                                    style="width: 813.172px;">
                                                    <form action="{{request()->url()}}" method="get">
                                                    <input type="hidden" name="sort_f" value="epic_no">
                                                    @php
                                                    if($sort_by == 'asc'){
                                                      $sort = 'desc';
                                                    }
                                                    elseif($sort_by == 'desc'){
                                                    $sort = 'asc';
                                                }else{
                                                    $sort = 'asc';
                                                }
                                                    @endphp
                                                    <input type="hidden" name="sort_by" value="{{$sort}}">
                                                    <input type="submit" style="background: transparent;border: none;" value="ID No.">
                                            </form>
                                                </th>
                                                <th  tabindex="0"
                                                    aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                    aria-label="Info: activate to sort column ascending"
                                                    style="width: 813.172px;">Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            
                                            @if(count($lists) != 0)
                                            @foreach($lists as $key => $r)
                                                <tr>
                                                    <td>{{ $r->slnoinpart }}</td>
                                                    <td>{{$r->fm_name_en}}</td>
                                                    <td>{{$r->rln_fm_nm_en}}</td>
                                                     <td>{{$r->age}}</td>
                                                    <td>{{$r->section_no}}</td>
                                                    <td>{{$r->c_house_no}}</td>
                                                    <td>{{$r->epic_no}}</td>
                                                    <td>
                                                        <a  href="{{route('voter.edit',encrypt($r->id))}}"><i class="fa fa-edit"></i></a>
                                                    </td>
                                                 </tr>
                                            @endforeach
                                            @else
                                            <tr class="odd">
                                                <td valign="top" colspan="5"
                                                    class="dataTables_empty text-center">No data
                                                    available in table</td>
                                            </tr>
                                            @endif
                                        </tbody>
                                    </table>
                                    {{-- <div class="dataTables_info" id="DataTables_Table_0_info" role="status"
                                    aria-live="polite">
                                     Showing {{$user->onFirstPage()}} to {{$user->perPage()}} of {{$user->count()}} entries
                                </div> --}}
                                    <div style="max-width:100%;" class="dataTables_paginate paging_simple_numbers"
                                        id="DataTables_Table_0_paginate">
                                        @if($hasTable == 1)
                                        {{ $lists->appends(request()->input())->links() }}
                                        @endif
                                    </div>
                                </div>
                            </div>


                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <!-- ============================================================== -->
    <!-- End Container fluid  -->
    <!-- ============================================================== -->
</div>



<script src="https://code.jquery.com/jquery-3.7.0.min.js" integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g=" crossorigin="anonymous"></script>
{{-- @if($errors->any()) --}}
<script>
$('#exampleModal').modal('show');
</script>
{{-- @endif --}}
<script>
    $('#paginate').on('change', function(){
        $('#searchForm').submit();
    });
</script>

<script>
    $('.number').keyup(function(e) {
        if (/\D/g.test(this.value)) {
            this.value = this.value.replace(/\D/g, '');
        }
    });
</script>

<script>
$(function() {

$('.string').keydown(function (e) {

if (e.shiftKey || e.ctrlKey || e.altKey) {

  e.preventDefault();

} else {

  var key = e.keyCode;

  if (!((key == 8) || (key == 32) || (key == 46) || (key >= 35 && key <= 40) || (key >= 65 && key <= 90))) {

    e.preventDefault();

  }

}

});

});
</script>
@endsection
@section('script')
<script>
$("#DataTables_Table_0").dataTable({
   "processing": false, // for show progress bar
    "paging": false, // for disable paging
    "lengthMenu": true, // Table length
    "info": false, // for disable information display
    "filter": false, // this is for disable filter (search box)
    "ordering": false, // this is for disable sort order
    "orderMulti": false, // for disable multiple column at once
    "aoColumns": [
			{ "bSortable": true},
			null, null, null, null, null,null,null
		]
});
</script>
@endsection
