@extends('admin.layouts.app')
@section('title', 'Vidhansabha - Create Role')
@section('content')
    <div class="page-wrapper">
        <!-- ============================================================== -->
        <!-- Container fluid  -->
        <!-- ============================================================== -->
        <div class="container-fluid">
            <!-- ============================================================== -->
            <!-- Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <div class="row page-titles">
                <div class="col-md-5 align-self-center">
                    <h4 class="text-themecolor">Add Role</h4>
                </div>
                <div class="col-md-7 align-self-center text-right">
                    <div class="d-flex justify-content-end align-items-center">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item"><a href="{{route('superadmin.index')}}">Home</a></li>
                            <li class="breadcrumb-item">Add Role</li>
                        </ol>
                        <!-- <button type="button" class="btn btn-info d-none d-lg-block m-l-15"><i class="fa fa-plus-circle"></i> Create New</button> -->
                    </div>
                </div>
            </div>
            <!-- ============================================================== -->
            <!-- End Bread crumb and right sidebar toggle -->
            <!-- ============================================================== -->
            <div class="row">
                <div class="col-lg-12">
                    <!-- <div class="tabs-container">-->
                    <!-- <ul class="nav nav-tabs">
                            <li class="active"><a data-toggle="tab" href="#tab-1"><i class="fa fa-hand-o-down"></i>
                                    Caste Report</a></li>
                        </ul>  -->
                    <div class="ibox-title">
                        <h5><span> Add Meeting Info</span></h5>
                        <!-- <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up"></i>
                                </a>
                                <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                                    <i class="fa fa-wrench"></i>
                                </a>
                                <a class="close-link">
                                    <i class="fa fa-times"></i>
                                </a>
                            </div> -->
                    </div>
                    <div class="ibox-content">
                            <form action="{{ route('role.store') }}" method="post" class="form-horizontal" enctype="multipart/form-data">
                                @csrf
                            <div class="form-group d-flex">
                                <label class="col-lg-3 control-label">Name*<span
                                        class="text-danger">*</span></label>
                                <div class="col-lg-5">
                                    <input type="text" name="name" class="form-control"
                                        autocomplete="off" placeholder="Name" required="">
                                        <div class="text-danger">{{ $errors->first('name')}}</div>
                                </div>
                            </div>
                            <div class="form-group d-flex">
                                <label class="col-lg-3 control-label">Email*<span
                                        class="text-danger">*</span></label>
                                <div class="col-lg-5">
                                    <input type="email" name="email" class="form-control"
                                        autocomplete="off" placeholder="email" required="">
                                        <div class="text-danger">{{ $errors->first('email')}}</div>
                                </div>
                            </div>
                            <div class="form-group d-flex">
                                <label class="col-lg-3 control-label">Phone*<span
                                        class="text-danger">*</span></label>
                                <div class="col-lg-5">
                                    <input type="test" name="mobile_no" class="form-control"
                                        autocomplete="off" placeholder="Phone" required="">
                                        <div class="text-danger">{{ $errors->first('mobile_no')}}</div>
                                </div>
                            </div>
                            <div class="form-group d-flex">
                                <label class="col-lg-3 control-label">Password*<span
                                        class="text-danger">*</span></label>
                                <div class="col-lg-5">
                                    <input type="password" name="password" class="form-control"
                                        autocomplete="off" placeholder="password" required="">
                                        <div class="text-danger">{{ $errors->first('password')}}</div>
                                </div>
                            </div>
                            <div class="form-group d-flex">
                                <label class="col-lg-3 control-label">Role*<span
                                        class="text-danger">*</span></label>
                                <div class="col-lg-5">
                                    <select name="role" data-live-search="true"
                                                    data-placeholder="Choose a Options..."
                                                    class="select2_single form-control select2-hidden-accessible selectpicker"
                                                    style="width:100%;" tabindex="-1" aria-hidden="true">
                                                    <option value="Admin">Admin</option>
                                                    <option value="MLA">MLA</option>
                                                    <option value="Booth">Booth</option>
                                                </select>
                                                <span class="select2 select2-container select2-container--default"
                                                    dir="ltr" style="width: 100%;"><span class="selection"><span
                                                            class="select2-selection select2-selection--single"
                                                            role="combobox" aria-haspopup="true" aria-expanded="false"
                                                            tabindex="0"
                                                            aria-labelledby="select2-caste-cj-container"><span
                                                                class="select2-selection__rendered"
                                                                id="select2-caste-cj-container"><span
                                                                    class="select2-selection__placeholder"></span></span><span
                                    class="select2-selection__arrow" role="presentation"><b
                                   role="presentation"></b></span></span></span><span
                                 class="dropdown-wrapper" aria-hidden="true"></span></span>
                                </div>
                            </div>
                            <div class="form-group d-flex">
                                <div class="col-lg-3">
                                </div>
                                <div class="col-lg-5">
                                    <input type="submit" class="btn btn-primary pull-right bt-block" name="add_meeting"
                                        value="Save">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>

            </div>
        </div>



    </div>
  
    @endsection