@extends('admin.layouts.app')
@section('title', 'Role - Index')
@push('headerscript')
    <link href="{{ asset('mainweb/plugins/bootstrap-sweetalert/sweet-alert.css') }}" rel="stylesheet" type="text/css">

    <link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/buttons/2.2.3/css/buttons.dataTables.min.css">
@endpush
@section('content')
        <div class="page-wrapper">

            <!-- ============================================================== -->
            <!-- Container fluid  -->
            <!-- ============================================================== -->
            <div class="container-fluid">
                <!-- ============================================================== -->
                <!-- Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->
                <div class="row page-titles">
                    <div class="col-md-5 align-self-center">
                        <h4 class="text-themecolor">User Login Manage</h4>
                    </div>
                    <div class="col-md-7 align-self-center text-right">
                        <div class="d-flex justify-content-end align-items-center">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('superadmin.index')}}">Home</a></li>
                                <li class="breadcrumb-item">User Login Manage</li>
                            </ol>
                            <!-- <button type="button" class="btn btn-info d-none d-lg-block m-l-15"><i class="fa fa-plus-circle"></i> Create New</button> -->
                        </div>
                    </div>
                </div>
                <!-- ============================================================== -->
                <!-- End Bread crumb and right sidebar toggle -->
                <!-- ============================================================== -->


                <div class="row">
                    <div class="col-lg-12">
                        <div class="text-right m-xs mb-3">
                            <a href="{{ route('role.create') }}" class="btn btn-warning btn-sm m-xxs" data-toggle="modal"
                                data-target="#exampleModal"><i class="fa fa-user"></i> Add User</a>
                        </div>

                   
                        <div class="ibox-title">
                            <h5><span class="text-info"> All User List</span></h5>
                  
                        </div>
                        <div class="tab-content">
                            <div id="tab-1" class="tab-pane active">
                                <div class="panel-body" style="background: #fff !important;
                            border: 1px solid #e7eaec;
                            border-radius: 2px;
                            padding: 20px 20px;
                            position: relative;">


                                    <div class="table-responsive">
                                        <div id="DataTables_Table_0_wrapper"
                                            class="dataTables_wrapper form-inline dt-bootstrap no-footer">
                                            <div class="html5buttons">
                                                <div class="dt-buttons btn-group"><a
                                                        class="btn btn-default buttons-copy buttons-html5" tabindex="0"
                                                        aria-controls="DataTables_Table_0"
                                                        href="#"><span>Copy</span></a><a
                                                        class="btn btn-default buttons-csv buttons-html5" tabindex="0"
                                                        aria-controls="DataTables_Table_0"
                                                        href="#"><span>CSV</span></a><a
                                                        class="btn btn-default buttons-excel buttons-html5" tabindex="0"
                                                        aria-controls="DataTables_Table_0"
                                                        href="#"><span>Excel</span></a><a
                                                        class="btn btn-default buttons-pdf buttons-html5" tabindex="0"
                                                        aria-controls="DataTables_Table_0"
                                                        href="#"><span>PDF</span></a><a
                                                        class="btn btn-default buttons-print" tabindex="0"
                                                        aria-controls="DataTables_Table_0"
                                                        href="#"><span>Print</span></a></div>
                                            </div>
                                            <div class="dataTables_length" id="DataTables_Table_0_length"><label>Show
                                                    <select name="DataTables_Table_0_length"
                                                        aria-controls="DataTables_Table_0"
                                                        class="form-control input-sm">
                                                        <option value="10">10</option>
                                                        <option value="25">25</option>
                                                        <option value="50">50</option>
                                                        <option value="100">100</option>
                                                    </select> entries</label></div>
                                            <div id="DataTables_Table_0_filter" class="dataTables_filter">
                                                <label>Search:<input type="search" class="form-control input-sm"
                                                        placeholder="" aria-controls="DataTables_Table_0"></label>
                                            </div>
                                            <div class="dataTables_info" id="DataTables_Table_0_info" role="status"
                                                aria-live="polite">
                                                <!-- Showing 0 to 0 of 0 entries -->
                                            </div>
                                            <table
                                                class="table table-striped table-bordered table-hover dataTables-example dataTable no-footer"
                                                id="DataTables_Table_0" aria-describedby="DataTables_Table_0_info"
                                                role="grid">
                                                <thead>
                                                    <tr role="row">
                                                        <th class="sorting_asc" tabindex="0"
                                                            aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                            aria-sort="ascending"
                                                            aria-label="No.: activate to sort column descending"
                                                            style="width: 306.609px;">No.</th>
                                                        <th class="sorting" tabindex="0"
                                                            aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                            aria-label="Caste: activate to sort column ascending"
                                                            style="width: 383.219px;">Client Info</th>
                                                        <th class="sorting" tabindex="0"
                                                            aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                            aria-label="Access Data: activate to sort column ascending"
                                                            style="width: 813.172px;">Access Data</th>
                                                        <th class="sorting" tabindex="0"
                                                            aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                            aria-label="Status: activate to sort column ascending"
                                                            style="width: 813.172px;">Status</th>
                                                        <th class="sorting" tabindex="0"
                                                            aria-controls="DataTables_Table_0" rowspan="1" colspan="1"
                                                            aria-label="Info: activate to sort column ascending"
                                                            style="width: 813.172px;">Info</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @foreach($user as $r)
                                                    <tr class="odd">
                                                        @php
                                                        $modelid=DB::table('model_has_roles')->where('model_id',$r->id)->value('role_id');
                                                        $rolename=DB::table('roles')->where('id',$modelid)->value('name');
                                                         @endphp
                                                       <td>
                                                        <span class="product-price-wrapper">
                                                            <span class="">{{ $loop->iteration }}</span>
                                                        </span>
                                                        {{-- <input type="text" class="form-control forms" required="" name="sn"
                                                            value="" placeholder="1" readonly> --}}
                                                    </td>
                                                    <td>
                                                        <span class="product-price-wrapper">
                                                         
                                                            {{ $r->name}}
                                                       </span>
                                                       
                                                    </td>
                                                    <td>
                                                        <span class="product-price-wrapper">
                                                         
                                                            {{ $r->mobile_no}}
                                                       </span>
                                                       
                                                    </td>
                                                    <td>
                                                        <span class="product-price-wrapper">
                                                         
                                                            {{$rolename}}
                                                       </span>
                                                       
                                                    </td>
                                                    <td style="display:flex">
                                                        <a href="{{ route('role.show',$r->unique_id) }}" data-toggle="tooltip" data-original-title="View"> <i class="fa fa-eye text-inverse m-r-10"></i> </a>
                                                        <a href="{{ route('role.edit',$r->unique_id) }}" data-toggle="tooltip" data-original-title="Edit"> <i class="fa fa-pencil text-inverse m-r-10"></i> </a>
                                                        <a href="{{ url('admin/RoleDelete',$r->unique_id) }}" data-toggle="tooltip" data-original-title="Close"> <i class="fa fa-close text-danger"></i> </a>
                                                        
                                                    </td>
                                                    </tr>
                                                    @endforeach
                                                </tbody>
                                            </table>
                                            <div class="dataTables_paginate paging_simple_numbers"
                                                id="DataTables_Table_0_paginate">
                                                <ul class="pagination">
                                                    <li class="paginate_button previous disabled"
                                                        id="DataTables_Table_0_previous"><a href="#"
                                                            aria-controls="DataTables_Table_0" data-dt-idx="0"
                                                            tabindex="0">Previous</a></li>
                                                    <li class="paginate_button next disabled"
                                                        id="DataTables_Table_0_next"><a href="#"
                                                            aria-controls="DataTables_Table_0" data-dt-idx="1"
                                                            tabindex="0">Next</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>


                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <!-- ============================================================== -->
            <!-- End Container fluid  -->
            <!-- ============================================================== -->
        </div>
        @endsection
        @push('footerscript')
            <script src="{{ asset('adminwebtheme/plugins/bootstrap-sweetalert/sweet-alert.min.js') }}"></script>
            <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
            <script src="https://cdn.datatables.net/buttons/2.2.3/js/dataTables.buttons.min.js"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
            <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
            <script src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.html5.min.js"></script>
            <script src="https://cdn.datatables.net/buttons/2.2.3/js/buttons.print.min.js"></script>
        
        
            <script>
                $(document).ready(function() {
                    $('#example').DataTable({
                        dom: 'Bfrtip',
                        buttons: [
                            'copy', 'csv', 'excel', 'pdf', 'print'
                        ]
                    });
                });
            </script>
            <script>
                //$("#datatables").dataTable();
            </script>
        @endpush