<?php $__env->startSection('title', 'Vidhansabha - Edit Voter'); ?>
<?php $__env->startSection('content'); ?>
<style>
    .bootstrap-select .dropdown-toggle{
            width: 100% !important;
    }
</style>
<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Edit Voter List</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('mla.index')); ?>">Home</a></li>
                        <li class="breadcrumb-item"><a href="<?php echo e(route('mvoter.index')); ?>">Voter List</a></li>
                        <li class="breadcrumb-item">Edit Voter List</li>
                    </ol>
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox-title">
                    <h5><span> Edit Voter List</span></h5>
                    <div class="ibox-tools">
                        <?php if(session()->has('success')): ?>
                        <span class="text-success samll"><?php echo e(session()->get('success')); ?></span>
                        <?php endif; ?>
                         <a href="#" onclick="history.back()" class="collapse-link btn btn-success">
                            Back
                        </a>
                        
                    </div>
                </div>
                <?php  
                 $data = App\Models\VoterlistUpdate::where('voter_id', $row->id)->where('mla_id',Auth::user()->id)->where('vidhansabha_id',Auth::user()->vidhansahba_id)->first();
                 ?>
                <div class="ibox-content">
                    <?php echo Form::model($row, ['method' => 'patch', 'files' => true, 'route' => ['mvoter.update', encrypt($row->id)]]); ?>

                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="form-group col-sm-6">
                            <label class="control-label">Name</label>
                                <input type="text" readonly class="form-control"
                                    autocomplete="off" placeholder="Name" value="<?php echo e($row->fm_name_en); ?> /   <?php echo e($row->fm_name_v1); ?>" >
                                    <div class="text-danger"><?php echo e($errors->first('name')); ?></div>
                            </div>
                        <div class="form-group col-sm-6">
                            <label class="control-label"><?php if($row->rln_type == 'F'): ?> Father Name <?php elseif($row->rln_type == 'H'): ?> Husband Name <?php endif; ?></label>
                                <input type="text" readonly class="form-control"
                                    autocomplete="off" placeholder="<?php if($row->rln_type == 'F'): ?> Father Name <?php elseif($row->rln_type == 'H'): ?> Husband Name <?php endif; ?>" value="<?php echo e($row->rln_fm_nm_en); ?> / <?php echo e($row->rln_fm_nm_v1); ?>" >
                                    <div class="text-danger"><?php echo e($errors->first('name')); ?></div>
                            </div>
                        </div>
                                            <div class="row">
                        <div class="form-group col-sm-6">
                            <label class="control-label">Serial No</label>
                                <input type="text" readonly class="form-control"
                                    autocomplete="off" placeholder="Name" value="<?php echo e($row->slnoinpart); ?>" >
                            </div>
                        <div class="form-group col-sm-6">
                            <label class="control-label">Booth No</label>
                                <input type="text" name="ward_no" readonly class="form-control"
                                    autocomplete="off" value="<?php echo e($row->part_no); ?>" >
                            </div>
                        </div>
                    <div class="row">
                        <div class="form-group col-sm-6">
                            <label class="control-label">Mohala No</label>
                                <input type="text" readonly class="form-control"
                                    autocomplete="off" placeholder="Name" value="<?php echo e($row->section_no); ?>" >
                            </div>
                        <div class="form-group col-sm-6">
                            <label class="control-label">house No</label>
                                <input type="text" required="" name="house_no" class="form-control"
                                    autocomplete="off" value="<?php if($data): ?> <?php echo e($data->house_no); ?> <?php else: ?> <?php echo e($row->c_house_no); ?> <?php endif; ?>" >
                            </div>
                        </div>
                    <div class="row">
                        <div class="form-group col-sm-6">
                            <label class="control-label">Id No.</label>
                                <input type="text" readonly class="form-control"
                                    autocomplete="off" placeholder="Id No." value="<?php echo e($row->epic_no); ?>" >
                                    <div class="text-danger"><?php echo e($errors->first('name')); ?></div>
                            </div>
                        <div class="form-group col-sm-6">
                            <label class="control-label">Gender</label>
                                <input type="text" readonly class="form-control"
                                    autocomplete="off" placeholder="Gender" value="<?php echo e($row->gender); ?>" >
                                    <div class="text-danger"><?php echo e($errors->first('name')); ?></div>
                            </div>
                        </div>
                    <div class="row">
                        <div class="form-group col-sm-6">
                            <label class="control-label">Age</label>
                                <input type="text" name="age" id="age" class="form-control number"
                                    autocomplete="off" placeholder="Age" maxlength="3" value="<?php if($data): ?> <?php echo e($data->age); ?> <?php else: ?> <?php echo e($row->age); ?> <?php endif; ?>" >
                                    <div class="text-danger"><?php echo e($errors->first('name')); ?></div>
                            </div>
                        <div class="form-group col-sm-6">
                            <label class="control-label">DOB</label>
                                <input type="date" name="dob" id="dob" class="form-control"
                                    autocomplete="off" placeholder="date" max="<?php echo e(date('Y-m-d')); ?>" value=" <?php if($data): ?> <?php if($data->dob): ?><?php echo e(date('Y-m-d',strtotime($data->dob))); ?> <?php endif; ?> <?php else: ?> <?php if($row->dob): ?><?php echo e(date('Y-m-d',strtotime($row->dob))); ?> <?php endif; ?> <?php endif; ?> " >
                                    <div class="text-danger"><?php echo e($errors->first('name')); ?></div>
                            </div>
                        </div>
                    <div class="row">
                        <div class="form-group col-sm-6">
                            <label class="control-label">Mobile No</label>
                                <input type="text" name="mobile" class="form-control number"
                                    autocomplete="off" placeholder="Mobile No"  maxlength="10" minlength="10" value="<?php if($data): ?><?php echo e($data->mobile_no); ?><?php else: ?><?php echo e($row->mobile_no); ?><?php endif; ?> " >
                                    <div class="text-danger"><?php echo e($errors->first('name')); ?></div>
                            </div>
                            <?php
                            $vidhansabha = DB::table('vidhan_sabhas')->where('vidhansabha_id',$row->ac_no)->value('vidhansabha_title');
                            ?>
                        <div class="form-group col-sm-6">
                            <label class="control-label">Vidhansabha</label>
                                <input type="text" readonly class="form-control"
                                    autocomplete="off" placeholder="Vidhansabha" value="<?php echo e($vidhansabha); ?>">
                                    
                            </div>
                        </div>
                     <div class="row">
                        <div class="form-group col-sm-4">
                            <label class="control-label">Pincode</label>
                                <input type="text" name="pincode" minlength="6" value="<?php if($data): ?> <?php echo e($data->pincode); ?> <?php else: ?> <?php echo e($row->pincode); ?> <?php endif; ?> " maxlength="6" class="form-control number">
                                    <div class="text-danger"><?php echo e($errors->first('pincode')); ?></div>
                            </div>
                            <?php
                            if($data != null){
                            $favar = $data->favar;
                            $party1 = $data->party;
                            $profession_type = $data->profession_type;
                            $profession1 = $data->profession;
                            $religion1 = $data->religion;
                            $caste1 = $data->caste_id;
                            $gotra = $data->gotra;
                            $scheme_type = $data->scheme_type;
                            $sechmeId  = json_decode($data->scheme_id);
                            $schemedescription = json_decode($data->scheme_description);
                            $schemeyear = json_decode($data->scheme_year);
                            }else{
                            $favar = $row->favar;
                            $party1 = $row->party;
                            $profession_type = $row->profession_type;
                            $profession1 = $row->profession;
                            $religion1 = $row->religion;
                            $caste1 = $row->caste_id;
                            $gotra = $row->gotra;
                            $scheme_type = $row->scheme_type;
                            $sechmeId  = json_decode($row->scheme_id);
                            $schemedescription = json_decode($row->scheme_description);
                            $schemeyear = json_decode($row->scheme_year);
                            }
                            ?>
                        <div class="form-group col-sm-4">
                            <label class="control-label">Favar</label>
                            <select name="favar" id="favar" class="form-control selectpicker">
                                <option value="">Select Favar</option>
                                <option <?php if($favar == '100%'): ?> selected <?php endif; ?> value="100%">100%</option>
                                <option <?php if($favar == '75%'): ?> selected <?php endif; ?> value="75%">75%</option>
                                <option <?php if($favar == '50%'): ?> selected <?php endif; ?> value="50%">50%</option>
                                <option <?php if($favar == '25%'): ?> selected <?php endif; ?> value="25%">25%</option>
                                <option <?php if($favar == '0%'): ?> selected <?php endif; ?> value="0%">0%</option>
                                <option <?php if($favar == '-25%'): ?> selected <?php endif; ?> value="-25%">-25%</option>
                                <option <?php if($favar == '-50%'): ?> selected <?php endif; ?> value="-50%">-50%</option>
                                <option <?php if($favar == '-75%'): ?> selected <?php endif; ?> value="-75%">-75%</option>
                                <option <?php if($favar == '-100%'): ?> selected <?php endif; ?> value="-100%">-100%</option>
                            </select>
                                    <div class="text-danger"><?php echo e($errors->first('favar')); ?></div>
                            </div>
                            <div class="form-group col-sm-4">
                            <label class="control-label">Party</label>
                               <select name="party" id="party" class="form-control selectpicker">
                                        <option value="">Select Party</option>
                                        <?php $__currentLoopData = $party; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option <?php if($party1 == $r->party_name): ?> selected <?php endif; ?> value="<?php echo e($r->party_name); ?>"><?php echo e($r->party_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                        </div>
                        </div>
                        <div class="row">
                            <div class="form-group col-sm-4">
                                <label class="control-label">Profession Type</label>
                                     <select name="profession_type" id="profession_type" class="form-control selectpicker">
                                        <option value="">Select Type</option>
                                        <option <?php if($row->profession_type == 'government'): ?> selected <?php endif; ?> value="government">Government</option>
                                        <option <?php if($row->profession_type == 'private'): ?> selected <?php endif; ?> value="private">Private</option>
                                        <option <?php if($row->profession_type == 'business'): ?> selected <?php endif; ?> value="business">Business</option>
                                        <option <?php if($row->profession_type == 'defence'): ?> selected <?php endif; ?> value="defence">Defence</option>
                                       <option <?php if($row->profession_type == 'politician'): ?> selected <?php endif; ?> value="politician">Politician</option>
                                       <option <?php if($row->profession_type == 'imported_person'): ?> selected <?php endif; ?> value="imported_person">Imported Person</option>
                                        <option <?php if($row->profession_type == 'student'): ?> selected <?php endif; ?> value="student">Student</option>
                                        <option <?php if($row->profession_type == 'other'): ?> selected <?php endif; ?> value="other">Other</option>
                                    </select> 
                                        <div class="text-danger"><?php echo e($errors->first('profession_type')); ?></div>
                                </div>
                             <div class="form-group col-sm-4">
                                <label class="control-label">Profession Details</label>
                                    
                                    <input list="browsers" name="profession" id="profession" value="<?php echo e($profession1); ?>" class="form-control">
                                      <datalist id="browsers">
                                        <?php $__currentLoopData = $profession; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($r->profession); ?>">
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                       </datalist>
                                        <div class="text-danger"><?php echo e($errors->first('profession')); ?></div>
                                </div>
                                
                        <div class="form-group col-sm-4">
                            <label class="control-label">Religion</label>
                                <select name="religion" id="religion" class="form-control selectpicker">
                                    <option value="">Select Religion</option>
                                    <?php $__currentLoopData = $religion; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if($religion1 == $r->religion): ?> selected <?php endif; ?> value="<?php echo e($r->religion); ?>"><?php echo e($r->religion); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                    <div class="text-danger"><?php echo e($errors->first('religion')); ?></div>
                            </div>
                        </div>
                        <?php
                        $otherCaste = App\Models\Caste::where('id',$caste1)->first();
                        if($otherCaste){
                        $status = 1;
                        }else{
                        $status = 0;
                        }
                        ?>
                    <div class="row">
                        <div class="form-group col-sm-4">
                            <label class="control-label">Caste</label>
                                <select name="caste" id="caste" class="form-control selectpicker">
                                    <option value="">Select Caste</option>
                                    <?php $__currentLoopData = $caste; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if($caste1 == $r->id): ?> selected <?php endif; ?> value="<?php echo e($r->id); ?>"><?php echo e($r->caste_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                     <option <?php if($status == 1): ?> <?php if($otherCaste->status == 3): ?> selected <?php endif; ?> <?php endif; ?> value="other">Other</option>
                                </select>
                                    <div class="text-danger"><?php echo e($errors->first('caste')); ?></div>
                            </div>
                            <div class="form-group col-sm-4" id="otherCaste" <?php if($status == 1): ?> <?php if($otherCaste->status != 3): ?> style="display:none;" <?php endif; ?> <?php else: ?> style="display:none;" <?php endif; ?>>
                            <label class="control-label">Other Caste <span class="text-danger">*</span></label>
                                <input type="text" name="other_caste" <?php if($status == 1): ?> <?php if($otherCaste->status == 3): ?> value="<?php echo e($otherCaste->caste_name); ?>" <?php endif; ?> <?php endif; ?> id="other_caste" class="form-control">
                                    <div class="text-danger"><?php echo e($errors->first('other_caste')); ?></div>
                            </div>
                            <div class="form-group col-sm-4">
                            <label class="control-label">Gotra</label>
                                <input type="text" name="gotra" value="<?php echo e($gotra); ?>" class="form-control">
                                    <div class="text-danger"><?php echo e($errors->first('gotra')); ?></div>
                            </div>
                    </div>
                    <div class="row">
                        <div class="form-group col-sm-3">
                            <label class="control-label">Scheme Benefit</label>
                                <select name="benefit" id="benefit" onchange="changeFunc();" class="form-control selectpicker">
                                    <option <?php if($scheme_type == 'no'): ?> selected <?php endif; ?> value="no">No</option>
                                    <option <?php if($scheme_type == 'yes'): ?> selected <?php endif; ?> value="yes">Yes</option>
                                </select>
                                
                        </div>
                    </div>    
                    <div class="row" id="getbenefit" <?php if($scheme_type != 'yes'): ?> style="display: none;" <?php endif; ?>>
                    <?php if($scheme_type == 'yes'): ?>
						  <div class="row form-group col-sm-12" id="addrow1">
						      <?php $__currentLoopData = $sechmeId; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $rid): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
						       <div class="form-group col-sm-3" >
                                                    <label class="control-label">Scheme</label>
                                                    <select name="scheme[]" id="party_<?php echo e($rid); ?>" class="form-control scheme_edit">
                                                                <option value="">Select Party</option>
                                                                <?php $__currentLoopData = $scheme; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <option <?php if($rid == $r->id): ?> selected <?php endif; ?> value="<?php echo e($r->id); ?>"><?php echo e($r->scheme_name); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                        
                                                </div>
                                                <div class="form-group col-sm-3">
                                                    <label class="control-label">Description</label>
                                                    <input type="text" class="form-control scheme_edit" id="description_<?php echo e($rid); ?>" value="<?php echo e($schemedescription[$key]); ?>" name="description[]" placeholder="Fill Details">
                                                        
                                                </div>
                                                <div class="form-group col-sm-3">
                                                    <label class="control-label">Benefit Year</label>
                                                    <input type="text" class="form-control scheme_edit" id="year_<?php echo e($rid); ?>"  value="<?php echo e($schemeyear[$key]); ?>" name="year[]" placeholder="Year">
                                                        
                                                </div>
                                                <div class="form-group col-sm-3">
                                                   <button type="button" onclick="removerow(<?php echo e($rid); ?>);" id="scheme_remove_<?php echo e($rid); ?>" class="btn btn-danger btn-sm" style="margin: 3% 0% 0% 5% !important;"><i class="fa fa-minus"></i> Remove</button>
                                                   <?php if($key == 0): ?>
                                                          <button type="button" id="addrow"
                                                                    class="btn btn-info btn-sm" style="margin: 3% 0% 0% 5% !important;"><i class="fa fa-plus"></i>
                                                                    Add</button>
                                                                    <?php endif; ?>
                                                </div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                   
             
                                        </div> 
                                        <?php else: ?>
						   <div class="row form-group col-sm-12" id="addrow1">
						       <div class="form-group col-sm-3" >
                                                    <label class="control-label">Scheme</label>
                                                    <select name="scheme[]" id="party" class="form-control scheme">
                                                                <option value="">Select Party</option>
                                                                <?php $__currentLoopData = $scheme; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                <option value="<?php echo e($r->id); ?>"><?php echo e($r->scheme_name); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </select>
                                                        
                                                </div>
                                                <div class="form-group col-sm-3">
                                                    <label class="control-label">Description</label>
                                                    <input type="text" class="form-control scheme" id="method" name="description[]" placeholder="Fill Details">
                                                        
                                                </div>
                                                <div class="form-group col-sm-3">
                                                    <label class="control-label">Benefit Year</label>
                                                    <input type="text" class="form-control scheme" id="method" name="year[]" placeholder="Year">
                                                        
                                                </div>
                                                <div class="form-group col-sm-3">
                                                    <label class="control-label">&nbsp;</label>
                                                    <button type="button" id="addrow"
                                                                    class="btn btn-info btn-sm" style="margin: 3% 0% 0% 5% !important;"><i class="fa fa-plus"></i>
                                                                    Add</button>
                                                        
                                                </div>
                                                
             
                                        </div> 
                                        <?php endif; ?>
                    </div>
                    
                        <div class="form-group d-flex">
                            <div class="col-lg-12">
                                <input type="submit" class="btn btn-primary pull-right bt-block" name="add_meeting"
                                    value="Update">
                            </div>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>



</div>

<script type="text/javascript">
   function changeFunc() {
      var selectBox = document.getElementById("benefit");
      var selectBox1 = document.getElementById("benefitrow");
      var selectedValue = selectBox.options[selectBox.selectedIndex].value;
      if (selectedValue=="yes"){
         $('#getbenefit').show();
         $('#getbenefitrow').show();
         $(".scheme").attr("required", true);
      }else {
      $('#getbenefit').hide();
      $('#getbenefitrow').hide();
         $(".scheme").attr("required", false);
   }
   }
   
 </script>  
<script type="text/javascript">
    $(document).ready(function() {

        let i = 11;
        $('#addrow').on("click", function() {
            var newRow = $("<div class='row form-group col-sm-12'>");
            var cols = "";
            cols += '<div class="form-group col-sm-3"><select name="scheme[]" id="party" class="form-control selectpicker scheme" required><option value="">Select Party</option><?php $__currentLoopData = $scheme; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?><option value="<?php echo e($r->id); ?>"><?php echo e($r->scheme_name); ?></option><?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?></select></div>';
            cols += '<div class="form-group col-sm-3"><input type="text" class="form-control scheme" name="description[]" required="" placeholder="Fill Details"></div>';
            cols += '<div class="form-group col-sm-3"><input type="text" class="form-control scheme" name="year[]" required="" placeholder="Year"></div>';
            cols +=
                '<div class="form-group col-sm-3"><button type="button" id="delbtn" class="btn btn-danger btn-sm" style="margin: 3% 0% 0% 5% !important;"><i class="fa fa-minus"></i> Remove</button></div>';
            i++;
            newRow.append(cols);
            $("#addrow1").append(newRow);
            $('.number').keyup(function(e) {
                if (/\D/g.test(this.value)) {
                    this.value = this.value.replace(/\D/g, '');
                }
            });

            $("#addrow1").on("click", "#delbtn", function() {
                $(this).closest('.row').remove();
                i--;
            });
           
        });
    });
    
    
 
        function removerow(id) {
   $('#year_'+id).prop("disabled", true);
   $('#party_'+id).prop("disabled", true);
   $('#description_'+id).prop("disabled", true);
   $('#scheme_remove_'+id).html('<i class="fa fa-refresh" aria-hidden="true"></i> Restore');
   $('#scheme_remove_'+id).removeClass('btn-danger');
   $('#scheme_remove_'+id).addClass('btn-primary');
   $('#scheme_remove_'+id).attr("onclick","restorerow("+id+")");
    }

    function restorerow(id) {
   $('#year_'+id).prop("disabled", false);
   $('#party_'+id).prop("disabled", false);
   $('#description_'+id).prop("disabled", false);
   $('#scheme_remove_'+id).html('<i class="fa fa-minus"></i> Remove');
   $('#scheme_remove_'+id).addClass('btn-danger');
   $('#scheme_remove_'+id).removeClass('btn-primary');
   $('#scheme_remove_'+id).attr("onclick","removerow("+id+")");
    }
    
</script>
<script>
    $('.number').keyup(function(e) {
        if (/\D/g.test(this.value)) {
            this.value = this.value.replace(/\D/g, '');
        }
    });

</script>

   <script>
    $("#dob").change(function(){

var today = new Date();
var birthDate = new Date($('#dob').val());
var age = today.getFullYear() - birthDate.getFullYear();
var m = today.getMonth() - birthDate.getMonth();
if (m < 0 || (m === 0 && today.getDate() < birthDate.getDate())) {
    age--;
}
 $('#age').val(age);
});
  </script>
   <script>
    $("#caste").change(function(){
        var caste = $('#caste').val();
        if(caste == 'other'){
            $('#otherCaste').show();
            $("#other_caste").attr("required", true);
        }else{
            $('#otherCaste').hide();
            $("#other_caste").attr("required", false);
        }
});
  </script>
        <?php $__env->stopSection(); ?>

<?php echo $__env->make('mla.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dakshgroup/public_html/vidhansabha_election/resources/views/mla/voterList/edit.blade.php ENDPATH**/ ?>