<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e(asset('vidhyakDesign/assets/images/favicon.png')); ?>">
    <title>Mla Panel</title>
    <!-- This page CSS -->
    <!-- chartist CSS -->
    <link href="<?php echo e(asset('vidhyakDesign/assets/node_modules/morrisjs/morris.css')); ?>" rel="stylesheet">
    <!--Toaster Popup message CSS -->
    <link href="<?php echo e(asset('vidhyakDesign/assets/node_modules/toast-master/css/jquery.toast.css')); ?>" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="<?php echo e(asset('vidhyakDesign/colors/dist/css/style.min.css')); ?>" rel="stylesheet">
    <!-- Dashboard 1 Page CSS -->
    <link href="<?php echo e(asset('vidhyakDesign/colors/dist/css/pages/dashboard1.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('vidhyakDesign/colors/dist/css/pages/float-chart.css')); ?>" rel="stylesheet">
    <!-- <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>-->
       <!-- ============================================================== -->
       <script src="https://code.jquery.com/jquery-3.7.0.min.js" integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g=" crossorigin="anonymous"></script>
       <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.14.0-beta2/css/bootstrap-select.min.css" integrity="sha512-mR/b5Y7FRsKqrYZou7uysnOdCIJib/7r5QeJMFvLNHNhtye3xJp1TdJVPLtetkukFn227nKpXD9OjUc09lx97Q==" crossorigin="anonymous"
referrerpolicy="no-referrer" />
<link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/jquery.dataTables.min.css">
<link href="https://cdn.datatables.net/responsive/2.3.0/css/responsive.dataTables.min.css" rel="stylesheet" type="text/css" />
<style>
    .bootstrap-select>select.bs-select-hidden, select.bs-select-hidden, select.selectpicker {
     display: block !important;
}
</style>

<style>
    svg{
        width: 12px;
    }
    nav .flex{
   display: none;
    }
    .hidden p{
        display: none
    }
    /*.table-responsive{*/
    /*overflow-x: initial !important;*/
    /*}*/
    .bs-searchbox .form-control{
    width: 150px !important;
    }
    .bootstrap-select .dropdown-toggle{
        width: 180px !important;
    }
    @media  screen and (max-width: 619px){
        .bootstrap-select .dropdown-toggle{
          width: 100% !important;  
        }
        .btn-info {
            margin-top: 0px ;
        }
    }
   
</style>

</head>

<body class="skin-red-dark fixed-layout">
    <!-- ============================================================== -->
    <!-- Preloader - style you can find in spinners.css -->
    <!-- ============================================================== -->
    <div class="preloader">
        <div class="loader">
            <div class="loader__figure"></div>
            <!-- <p class="loader__label">Admin</p> -->
        </div>
    </div>
    <!-- ============================================================== -->


    <?php echo $__env->make('mla.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>



   <?php echo $__env->make('mla.layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- ============================================================== -->
    <!-- Page wrapper  -->
    <!-- ============================================================== -->
      <?php echo $__env->yieldContent('content'); ?>
    <!-- ============================================================== -->
    <!-- End Container fluid  -->
    <!-- ============================================================== -->
    </div>
    <!-- ============================================================== -->
    <!-- footer -->
   <?php echo $__env->make('mla.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- ============================================================== -->
    <!-- End footer -->
    <!-- ============================================================== -->
    </div>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- All Jquery -->
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/jquery/jquery-3.2.1.min.js')); ?>"></script>
    <!-- Bootstrap popper Core JavaScript -->
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/popper/popper.min.js')); ?>"></script>
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/bootstrap/dist/js/bootstrap.min.js')); ?>"></script>
    <!-- slimscrollbar scrollbar JavaScript -->
    <script src="<?php echo e(asset('vidhyakDesign/colors/dist/js/perfect-scrollbar.jquery.min.js')); ?>"></script>
    <!--Wave Effects -->
    <script src="<?php echo e(asset('vidhyakDesign/colors/dist/js/waves.js')); ?>"></script>
    <!--Menu sidebar -->
    <script src="<?php echo e(asset('vidhyakDesign/colors/dist/js/sidebarmenu.js')); ?>"></script>
    <!--Custom JavaScript -->
    <script src="<?php echo e(asset('vidhyakDesign/colors/dist/js/custom.min.js')); ?>"></script>
    <!-- ============================================================== -->
    <!-- This page plugins -->
    <!-- ============================================================== -->
    <!--morris JavaScript -->
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/raphael/raphael-min.js')); ?>"></script>
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/morrisjs/morris.min.js')); ?>"></script>
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/jquery-sparkline/jquery.sparkline.min.js')); ?>"></script>
    <!-- Popup message jquery -->
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/toast-master/js/jquery.toast.js')); ?>"></script>
    <!-- Chart JS -->
    
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/toast-master/js/jquery.toast.js')); ?>"></script>
    <!-- <script src="<?php echo e(asset('vidhyakDesign/colors/dist/js/echarts/echarts-init.js')); ?>"></script> -->
    <!-- <script src="<?php echo e(asset('vidhyakDesign/colors//dist/js/echarts/echarts.js')); ?>"></script> -->
    <script src="<?php echo e(asset('vidhyakDesign/colors//dist/js/echarts/echarts-all.js')); ?>"></script>
    <script src="https://code.jquery.com/jquery-3.7.0.min.js" integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//ElJ19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.14.0-beta2/js/bootstrap-select.min.js"></script>

<script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.3.0/js/dataTables.responsive.min.js"></script>
    <?php echo $__env->yieldContent('script'); ?>

    <script>
        // pincode wise
        var myChart1 = echarts.init(document.getElementById('bar-chart1'));

        // specify chart configuration item and data
        option = {
            tooltip: {
                trigger: 'axis'
            },
            legend: {
                data: ['Pincode No.']
            },
            toolbox: {
                show: true,
                feature: {

                    magicType: { show: true, type: ['line', 'bar'] },
                    restore: { show: true },
                    saveAsImage: { show: true }
                }
            },
            color: ["#FFAE33"],
            calculable: true,
            xAxis: [
                {
                    type: 'category',
                    data: ['302021', '302019', '302020', '302019', '302021',]
                }
            ],
            yAxis: [
                {
                    type: 'value'
                }
            ],
            series: [
                {
                    name: 'Pincode No.',
                    type: 'bar',
                    data: [2.0, 4.9, 7.0, 23.2, 25.6],
                    markPoint: {
                        data: [
                            { type: 'max', name: 'Max' },
                            { type: 'min', name: 'Min' }
                        ]
                    },
                    markLine: {
                        data: [
                            // average of all data
                            { type: 'average', name: 'Average' }
                        ]
                    }
                }
            ]
        };


        // use configuration item and data specified to show chart
        myChart1.setOption(option, true), $(function () {
            function resize1() {
                setTimeout(function () {
                    myChart1.resize1()
                }, 100)
            }
            $(window).on("resize1", resize1), $(".sidebartoggler").on("click", resize1)
        });
    </script>

    <script>
        // vidhan saba

        var myChart4 = echarts.init(document.getElementById('bar-chart4'));

        // specify chart configuration item and data
        option = {
            tooltip: {
                trigger: 'axis'
            },
            legend: {
                data: ['BJP', 'Congress']
            },
            toolbox: {
                show: true,
                feature: {

                    magicType: { show: true, type: ['line', 'bar'] },
                    restore: { show: true },
                    saveAsImage: { show: true }
                }
            },
            color: ["#55ce63", "#009efb"],
            calculable: true,
            xAxis: [
                {
                    type: 'category',
                    data: ['1990', '1993', '1998', '2003', '2008', '2013', '2018']
                }
            ],
            yAxis: [
                {
                    type: 'value'
                }
            ],
            series: [
                {
                    name: 'BJP',
                    type: 'bar',
                    data: [2.6, 5.9, 10.0, 30.4, 30.9, 70.7, 175.6],
                    markPoint: {
                        data: [
                            { type: 'max', name: 'Max' },
                            { type: 'min', name: 'Min' }
                        ]
                    },
                    markLine: {
                        data: [
                            { type: 'average', name: 'Average' }
                        ]
                    }
                },
                {
                    name: 'Congress',
                    type: 'bar',
                    data: [2.0, 4.9, 7.0, 23.2, 25.6, 76.7, 135.6],
                    markPoint: {
                        data: [
                            // {name : 'The highest year', value : 182.2, xAxis: 7, yAxis: 183, symbolSize:18},
                            // {name : 'Year minimum', value : 2.3, xAxis: 11, yAxis: 3}
                            { type: 'max', name: 'Max' },
                            { type: 'min', name: 'Min' }
                        ]
                    },
                    markLine: {
                        data: [
                            { type: 'average', name: 'Average' }
                        ]
                    }
                }
            ]
        };


        // use configuration item and data specified to show chart
        myChart4.setOption(option, true), $(function () {
            function resize4() {
                setTimeout(function () {
                    myChart4.resize4()
                }, 100)
            }
            $(window).on("resize4", resize4), $(".sidebartoggler").on("click", resize4)
        });
    </script>

    <script>
        // ward wise
        var myChart5 = echarts.init(document.getElementById('bar-chart5'));

        // specify chart configuration item and data
        option = {
            tooltip: {
                trigger: 'axis'
            },
            legend: {
                data: ['Ward No.']
            },
            toolbox: {
                show: true,
                feature: {

                    magicType: { show: true, type: ['line', 'bar'] },
                    restore: { show: true },
                    saveAsImage: { show: true }
                }
            },
            color: ["#55ce63"],
            calculable: true,
            xAxis: [
                {
                    type: 'category',
                    data: ['Ward 1', 'Ward 2', 'Ward 3', 'Ward 4', 'Ward 5',]
                }
            ],
            yAxis: [
                {
                    type: 'value'
                }
            ],
            series: [
                {
                    name: 'Ward No.',
                    type: 'bar',
                    data: [2.0, 4.9, 17.0, 23.2, 25.6],
                    markPoint: {
                        data: [
                            { type: 'max', name: 'Max' },
                            { type: 'min', name: 'Min' }
                        ]
                    },
                    markLine: {
                        data: [
                            // average of all data
                            { type: 'average', name: 'Average' }
                        ]
                    }
                }
            ]
        };

        // use configuration item and data specified to show chart
        myChart5.setOption(option, true), $(function () {
            function resize6() {
                setTimeout(function () {
                    myChart5.resize6()
                }, 100)
            }
            $(window).on("resize6", resize6), $(".sidebartoggler").on("click", resize6)
        });
    </script>

    <script>
        var doughnutChart1 = echarts.init(document.getElementById('doughnut-chart1'));

        // specify chart configuration item and data

        option = {
            tooltip: {
                trigger: 'item',
                formatter: "{a} <br/>{b} : {c} ({d}%)"
            },
            legend: {
                orient: 'vertical',
                x: 'left',
                data: ['Graduated', 'Non-Graduated']
            },
            toolbox: {
                show: true,
                feature: {
                    dataView: { show: true, readOnly: false },
                    magicType: {
                        show: true,
                        type: ['pie', 'funnel'],
                        option: {
                            funnel: {
                                x: '25%',
                                width: '50%',
                                funnelAlign: 'center',
                                max: 1548
                            }
                        }
                    },
                    restore: { show: true },
                    saveAsImage: { show: true }
                }
            },
            color: ["#FF0000", "#88DC91"],
            calculable: true,
            series: [
                {
                    name: 'Source',
                    type: 'pie',
                    radius: ['30%', '90%'],
                    itemStyle: {
                        normal: {
                            label: {
                                show: false
                            },
                            labelLine: {
                                show: false
                            }
                        },
                        emphasis: {
                            label: {
                                show: true,
                                position: 'center',
                                textStyle: {
                                    fontSize: '15',
                                    fontWeight: 'bold'
                                }
                            }
                        }
                    },
                    data: [
                        { value: 2020, name: 'Graduated' },
                        { value: 1010, name: 'Non-Graduated' },
                    ]
                }
            ]
        };


        // use configuration item and data specified to show chart
        doughnutChart1.setOption(option, true), $(function () {
            function resize() {
                setTimeout(function () {
                    doughnutChart1.resize()
                }, 100)
            }
            $(window).on("resize", resize), $(".sidebartoggler").on("click", resize)
        });
    </script>


</body>

</html>
<?php /**PATH /home/dakshgroup/public_html/vidhansabha_election/resources/views/mla/layouts/app.blade.php ENDPATH**/ ?>