<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- Favicon icon -->
    <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e(asset('vidhyakDesign/assets/images/favicon.png')); ?>">
    <title>Booth Panel</title>
    <!-- This page CSS -->
    <!-- chartist CSS -->
    <link href="<?php echo e(asset('vidhyakDesign/assets/node_modules/morrisjs/morris.css')); ?>" rel="stylesheet">
    <!--Toaster Popup message CSS -->
    <link href="<?php echo e(asset('vidhyakDesign/assets/node_modules/toast-master/css/jquery.toast.css')); ?>" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="<?php echo e(asset('vidhyakDesign/colors/dist/css/style.min.css')); ?>" rel="stylesheet">
    <!-- Dashboard 1 Page CSS -->
    <link href="<?php echo e(asset('vidhyakDesign/colors/dist/css/pages/dashboard1.css')); ?>" rel="stylesheet">
    <!-- <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>-->
       <!-- ============================================================== -->
       <script src="https://code.jquery.com/jquery-3.7.0.min.js" integrity="sha256-2Pmvv0kuTBOenSvLm6bvfBSSHrUJ+3A7x6P5Ebd07/g=" crossorigin="anonymous"></script>
       <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.14.0-beta2/css/bootstrap-select.min.css" integrity="sha512-mR/b5Y7FRsKqrYZou7uysnOdCIJib/7r5QeJMFvLNHNhtye3xJp1TdJVPLtetkukFn227nKpXD9OjUc09lx97Q==" crossorigin="anonymous"
referrerpolicy="no-referrer" />
       <link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/jquery.dataTables.min.css">
<link href="https://cdn.datatables.net/responsive/2.3.0/css/responsive.dataTables.min.css" rel="stylesheet" type="text/css" />
<style>
    .bootstrap-select>select.bs-select-hidden, select.bs-select-hidden, select.selectpicker {
     display: block !important;
}
</style>
<style>
    svg{
        width: 12px;
    }
    nav .flex{
   display: none;
    }
    .hidden p{
        display: none
    }
    /*.table-responsive{*/
    /*overflow-x: initial !important;*/
    /*}*/
    .bs-searchbox .form-control{
    width: 150px !important;
    }
    .bootstrap-select .dropdown-toggle{
        width: 180px !important;
    }
    @media  screen and (max-width: 619px){
        .bootstrap-select .dropdown-toggle{
          width: 100% !important;  
        }
        .btn-info {
            margin-top: 0px ;
        }
    }
   
</style>
</head>

<body class="skin-red-dark fixed-layout">
    <!-- ============================================================== -->
    <!-- Preloader - style you can find in spinners.css -->
    <!-- ============================================================== -->
    <div class="preloader">
        <div class="loader">
            <div class="loader__figure"></div>
            <!-- <p class="loader__label">Admin</p> -->
        </div>
    </div>
    <!-- ============================================================== -->


    <?php echo $__env->make('booth.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>



   <?php echo $__env->make('booth.layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- ============================================================== -->
    <!-- Page wrapper  -->
    <!-- ============================================================== -->
      <?php echo $__env->yieldContent('content'); ?>
    <!-- ============================================================== -->
    <!-- End Container fluid  -->
    <!-- ============================================================== -->
    </div>
    <!-- ============================================================== -->
    <!-- footer -->
   <?php echo $__env->make('booth.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- ============================================================== -->
    <!-- End footer -->
    <!-- ============================================================== -->
    </div>
    <!-- ============================================================== -->
    <!-- End Wrapper -->
    <!-- ============================================================== -->
    <!-- ============================================================== -->
    <!-- All Jquery -->
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/jquery/jquery-3.2.1.min.js')); ?>"></script>
    <!-- Bootstrap popper Core JavaScript -->
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/popper/popper.min.js')); ?>"></script>
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/bootstrap/dist/js/bootstrap.min.js')); ?>"></script>
    <!-- slimscrollbar scrollbar JavaScript -->
    <script src="<?php echo e(asset('vidhyakDesign/colors/dist/js/perfect-scrollbar.jquery.min.js')); ?>"></script>
    <!--Wave Effects -->
    <script src="<?php echo e(asset('vidhyakDesign/colors/dist/js/waves.js')); ?>"></script>
    <!--Menu sidebar -->
    <script src="<?php echo e(asset('vidhyakDesign/colors/dist/js/sidebarmenu.js')); ?>"></script>
    <!--Custom JavaScript -->
    <script src="<?php echo e(asset('vidhyakDesign/colors/dist/js/custom.min.js')); ?>"></script>
    <!-- ============================================================== -->
    <!-- This page plugins -->
    <!-- ============================================================== -->
    <!--morris JavaScript -->
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/raphael/raphael-min.js')); ?>"></script>
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/morrisjs/morris.min.js')); ?>"></script>
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/jquery-sparkline/jquery.sparkline.min.js')); ?>"></script>
    <!-- Popup message jquery -->
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/toast-master/js/jquery.toast.js')); ?>"></script>
    <!-- Chart JS -->
    
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/toast-master/js/jquery.toast.js')); ?>"></script>
    <!-- <script src="<?php echo e(asset('vidhyakDesign/colors/dist/js/echarts/echarts-init.js')); ?>"></script> -->
    <!-- <script src="<?php echo e(asset('vidhyakDesign/colors//dist/js/echarts/echarts.js')); ?>"></script> -->
    <script src="<?php echo e(asset('vidhyakDesign/colors//dist/js/echarts/echarts-all.js')); ?>"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script> 
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//ElJ19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.14.0-beta2/js/bootstrap-select.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.3.0/js/dataTables.responsive.min.js"></script>
<?php echo $__env->yieldContent('script'); ?>
    


</body>

</html>
<?php /**PATH /home/dakshgroup/public_html/vidhansabha_election/resources/views/booth/layouts/app.blade.php ENDPATH**/ ?>