
<?php $__env->startSection('content'); ?>
<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor">Dashboard</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                        <li class="breadcrumb-item">Dashboard</li>
                    </ol>
                    <!-- <button type="button" class="btn btn-info d-none d-lg-block m-l-15"><i class="fa fa-plus-circle"></i> Create New</button> -->
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row border-bottom white-bg dashboard-header">
            <div class="col-md-6">
                <h2>Welcome In Election Diary</h2>
                <h5 class="text-success">Assembly: <?php echo e(DB::table('vidhan_sabhas')->where('vidhansabha_id',auth()->user()->vidhansahba_id)->value('vidhansabha_title')); ?></h5>
            </div>
        </div>

        <div class="row mt22">
            <!-- column -->
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">Male & Female</h4>
                        <div id="doughnut-chart" style="width:100%; height:400px;"></div>
                    </div>
                </div>
            </div>
            <!-- column -->
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">Pincode Wise</h4>
                        <div id="pincode-chart1" style="width:100%; height:400px;"></div>
                    </div>
                </div>
            </div>
            <!-- column -->
            <!-- column -->
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">Favar Wise</h4>
                        <div id="favar-chart" style="width:100%; height:400px;"></div>
                    </div>
                </div>
            </div>
         

            <!-- column -->
            <!-- column -->

            
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">Caste Wise</h4>
                        <div id="castewise" style="width:100%; height:400px;"></div>
                    </div>
                </div>
            </div>
            <!-- column -->
            <!-- column -->
            
            <!-- column -->
            <!-- column -->
           
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title">Age Wise</h4>
                        <div id="age-chart5" style="width:100%; height:400px;"></div>
                    </div>
                </div>
            </div>
            <!-- column -->
        </div>
        
        
        <div class="row">
                    <!-- column -->
                    <?php 
                    $vidhansabhaname = App\Models\VidhanSabha::where('vidhansabha_id',Auth::user()->vidhansahba_id)->value('vidhansabha_title');
                    // dd(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname.'vote')));
                    if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname.'vote')))){
                        $vidhansabhawisedb = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname.'vote')))->select('vote_year', DB::raw('COUNT(*) as totalbooth'))
    ->groupBy('vote_year')
    ->get();
                    }else{
                        $vidhansabhawisedb = array();
                    }
    // dd($vidhansabhawisedb);
    foreach($vidhansabhawisedb as $vidhansabharow){
                    // while($vidhansabharow = mysqli_fetch_array($vidhansabhawisedb)){
                        $year = $vidhansabharow->vote_year;
                    ?>
                    
                    <div class="col-lg-4">
                        <div class="card">
                            <div class="card-body">
                                <h4 class="card-title">Year wise party % (<?php echo e($vidhansabhaname); ?>) - <?=$year?>
                                <?php
                                    $totalsum = 0;
                                    $bjpsum = 0;
                                    $incsum = 0;
                                    $othersum = 0;
                                    $yearwisedb = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname.'vote')))->where('vote_year',$year)->get();
                                    // mysqli_query($conn, "SELECT * FROM alwarruralvote WHERE vote_year = '$year'");
                                    foreach($yearwisedb as $yearrow){
                                    // while($yearrow = mysqli_fetch_array($yearwisedb)){ 
                                    $votebooth = $yearrow->vote_booth;
                                    $votetotal = $yearrow->vote_total;
                                    $votebjp = $yearrow->vote_bjp;
                                    $voteinc = $yearrow->vote_inc;
                                    $voteother = $yearrow->vote_other;
                                    
                                    $partypercentage = round(((int)$votetotal * (int)$votebjp)/100); 
                                    $totalsum += (int)$votetotal;
                                    $bjpsum += $partypercentage;

                                    //INC
                                    $incpercentage = round(((int)$votetotal * (int)$voteinc)/100);
                                    $incsum += $incpercentage; 

                                    //OTHER
                                    $otherpercentage = round(((int)$votetotal * (int)$voteother)/100);
                                    $othersum += $otherpercentage; 
                                    //echo $partypercentage."<br />";
                                    
                                    }
                                   
                                    //echo $totalsum;
                                    //echo $bjpsum;

                                    $totalbjp = ($bjpsum/$totalsum)*100;
                                    $totalinc = ($incsum/$totalsum)*100;
                                    $totalother = ($othersum/$totalsum)*100;

                                ?>

                                </h4>
                                <div class="flot-chart">
                                    <div class="flot-chart-content" id="yearwisepartyvote<?=$year?>"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <script>
        //Flot Pie Chart
$(function () {
    var data = [{
        label: "BJP"
        , data: <?=$totalbjp?>
        , color: "#ec5401"
    , }, {
        label: "CONGRESS"
        , data: <?=$totalinc?>
        , color: "#2b9306"
    , }, {
        label: "OTHERS"
        , data: <?=$totalother?>
        , color: "#009efb"
    , },];
    var plotObj = $.plot($("#yearwisepartyvote<?=$year?>"), data, {
        series: {
            pie: {
                innerRadius: 0.5
                , show: true
            }
        }
        , grid: {
            hoverable: true
        }
        , color: null
        , tooltip: true
        , tooltipOpts: {
            content: "%p.0%, %s", // show percentages, rounding to 2 decimal places
            shifts: {
                x: 20
                , y: 0
            }
            , defaultTheme: false
        }
    });
});
    </script>    
                    <?php } ?>
                    
                </div>
                
                 <?php if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname.'vote')))): ?>
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <?php if(isset($msg)){ echo $msg; } ?>
                                <div class="table-responsive m-t-40">
                                    <table id="" class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                                        <thead>                                                
                                                <th>Booth</th> 
                                                <?php 
                                                    $selectyeardb = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname.'vote')))->select('vote_year', DB::raw('COUNT(*) as totalbooth'))
                                                    ->groupBy('vote_year')
                                                    ->orderByDesc('vote_year')
                                                    ->get();
                                                    
                                                    // $selectyeardb = mysqli_query($conn, "SELECT vote_year, COUNT(*) as totalbooth FROM alwarruralvote GROUP BY vote_year ORDER BY vote_year DESC" );
                                                   // while($selectyearrow = mysqli_fetch_array($selectyeardb)){
                                                        foreach($selectyeardb as $selectyearrow){
                                                        $yearr = $selectyearrow->vote_year;
                                                ?> 
                                                
                                                <th><?=$yearr?></th> 
                                                <?php } ?>                            
                                                <!-- <th>BJP%</th>
                                                <th>INC%</th>
                                                <th>Other%</th>                                                 -->
                                            </tr>
                                        </thead>
                                        <tbody>
                                        
                                               
                                            
                                        <?php //List 
                                                // $selectyeardbyear = mysqli_query($conn, "SELECT vote_year, COUNT(*) as totalbooth FROM alwarruralvote  GROUP BY vote_year ORDER BY vote_year DESC LIMIT 1");
                                                // $selectyearrowyear = mysqli_fetch_array($selectyeardbyear);
                                                $selectyeardbyear = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname.'vote')))->select('vote_year', DB::raw('COUNT(*) as totalbooth'))
                                                    ->groupBy('vote_year')
                                                    ->orderByDesc('vote_year')
                                                    ->limit(1)
                                                    ->get();
                                                    foreach( $selectyeardbyear AS $selectyearrowyear){
                                                $yearryear = $selectyearrowyear->vote_year;
                                                
                                                
                                                // $db = mysqli_query($conn, "SELECT * FROM alwarruralvote WHERE vote_year = '$yearryear'");
                                                $db = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname.'vote')))->where('vote_year', $yearryear)->get();
                                                
                                                if ($db->count() > 0) {
                                                    // while($row = mysqli_fetch_array($db)){
                                                    foreach($db AS $row){
                                                    
                                                    $booth = $row->vote_booth;
                                                    $total = $row->vote_total;
                                                    $bjp = $row->vote_bjp;
                                                    $inc = $row->vote_inc;
                                                    $yearv = $row->vote_year;
                                                    $other = $row->vote_other;
                                            ?>
                                            <tr>
                                                <td><?=$booth;?></td>
                                                <?php 
                                                    
                                                    //$selectyeardb1 = mysqli_query($conn, "SELECT vote_year, COUNT(*) as totalbooth FROM alwarruralvote GROUP BY vote_year ORDER BY vote_year DESC");
                                                    $selectyeardb1 = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname.'vote')))->select('vote_year', DB::raw('COUNT(*) as totalbooth'))
                                                    ->groupBy('vote_year')
                                                    ->orderBy('vote_year', 'desc')
                                                    ->get();
                                                    
                                                    foreach($selectyeardb1 AS $selectyearrow1){
                                                    //while($selectyearrow1 = mysqli_fetch_array($selectyeardb1)){
                                                     $yearr1 = $selectyearrow1->vote_year;
                                                     
                                                     $yearwise = DB::table(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname.'vote')))->select('*')->where('vote_booth', $booth)
                                                     ->where('vote_year', $yearr1)
                                                    // ->groupBy('vote_year')
                                                     ->orderBy('vote_year', 'desc')
                                                     ->get();
                                                     //$yearwise = mysqli_query($conn, "SELECT * FROM alwarruralvote  WHERE vote_booth = '$booth' && vote_year = '$yearr1' GROUP BY vote_year ORDER BY vote_year DESC");
                                                     //while($yearrow = mysqli_fetch_array($yearwise)){
                                                         foreach($yearwise AS $yearrow){
                                                        $votebjp = $yearrow->vote_bjp;
                                                        $voteinc = $yearrow->vote_inc;
                                                        $voteother = $yearrow->vote_other; 
                                                        $voteyear = $yearrow->vote_year;
                                                        $votebooth = $yearrow->vote_booth;   
                                                    ?>
                                                    
                                                    <td>
                                                     <?php
    $color1Percentage = $votebjp;
    $color2Percentage = $voteinc;
    $color3Percentage = $voteother; // Adjust this to ensure the total is 100%

    $color1Width = "width: $color1Percentage%;";
    $color2Width = "width: $color2Percentage%;";
    $color3Width = "width: $color3Percentage%;";
    ?>

    <div style="width: 100%; height: 20px; display: flex;">
        <div style="<?php if($color1Percentage > 9){ echo $color1Width; }else{?>padding: 0 5px; <?php } ?> background-color: #ec5401; background-color: #ec5401; text-align: center; color: #fff; font-weight: 500;"><?=$votebjp;?>%</div>
        <div style="<?php if($color2Percentage > 9){ echo $color2Width; }else{?>padding: 0 5px; <?php } ?> background-color: #2b9306; text-align: center; color: #fff; font-weight: 500;"><?=$voteinc;?>%</div>
        <div style="<?php if($color3Percentage > 9){ echo $color3Width; }else{?>padding: 0 5px; <?php } ?> background-color: #009efb; text-align: center; color: #fff; font-weight: 500;"><?=$voteother;?>%</div>
    </div> 
                                                     
                                                    </td>                                                          
                                                    <?php } }?>  
                                                
                                              
                                                
                                                <!-- <td>
                                                    
                                                </td>
                                                <td>
                                                   
                                                </td> -->
                                            </tr>
                                            <?php } } }  ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>                        
                    </div>
                </div>
        <?php endif; ?>
        
    </div>

</div>

<?php $__env->stopSection(); ?>


<?php
  ini_set('memory_limit', '6400M');
          ini_set('max_execution_time', '300');
    $vidhansabhaname = App\Models\VidhanSabha::where('vidhansabha_id',auth()->user()->vidhansahba_id)->value('vidhansabha_title');
     if(Schema::hasTable(Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname)))){
     $tablename = Str::lower(preg_replace('/[^A-Za-z0-9-]+/', '', $vidhansabhaname));
              $voterlistData = DB::table($tablename)->get();
              $voterlist =  App\Helpers\CommonClass::voterlist_filter($voterlistData,Auth::user()->id);
    $male = App\Helpers\CommonClass::gender_count($voterlist,'M');
    $female = App\Helpers\CommonClass::gender_count($voterlist,'F');
    $age =  App\Helpers\CommonClass::age_get($voterlist);
    $pincode =  App\Helpers\CommonClass::pincode_get($voterlist);
    $favar =  App\Helpers\CommonClass::favar_get($voterlist);
    $casteData =  App\Helpers\CommonClass::caste_get($voterlist);
    }else{
    $male = 0;
    $female = 0;
    $age = array();
    $pincode = array();
    $favar = array();
    $casteData = array();
    }
?>

<?php $__env->startSection('script'); ?>
<script>
    // Gender chart option
    // ==============================================================
    var doughnutChart = echarts.init(document.getElementById('doughnut-chart'));

    // specify chart configuration item and data

    option = {
        tooltip: {
            trigger: 'item',
            formatter: "{a} <br/>{b} : {c} ({d}%)"
        },
        legend: {
            orient: 'vertical',
            x: 'left',
            data: ['Male', 'Female']
        },
        toolbox: {
            show: true,
            feature: {
                dataView: { show: true, readOnly: false },
                magicType: {
                    show: true,
                    type: ['pie', 'funnel'],
                    option: {
                        funnel: {
                            x: '25%',
                            width: '50%',
                            funnelAlign: 'center',
                            max: 1548
                        }
                    }
                },
                restore: { show: true },
                saveAsImage: { show: true }
            }
        },
        color: ["<?php echo e('#' . substr(str_shuffle('ABCDEF0123456789'), 0, 6)); ?>", "<?php echo e('#' . substr(str_shuffle('ABCDEF0123456789'), 0, 6)); ?>"],
        calculable: true,
        series: [
            {
                name: 'Source',
                type: 'pie',
                radius: ['30%', '90%'],
                itemStyle: {
                    normal: {
                        label: {
                            show: false
                        },
                        labelLine: {
                            show: false
                        }
                    },
                    emphasis: {
                        label: {
                            show: true,
                            position: 'center',
                            textStyle: {
                                fontSize: '20',
                                fontWeight: 'bold'
                            }
                        }
                    }
                },
                data: [
                    { value: <?php echo e($male); ?>, name: 'Male' },
                    { value: <?php echo e($female); ?>, name: 'Female' },
                ]
            }
        ]
    };


    // use configuration item and data specified to show chart
    doughnutChart.setOption(option, true), $(function () {
        function resize() {
            setTimeout(function () {
                doughnutChart.resize()
            }, 100)
        }
        $(window).on("resize", resize), $(".sidebartoggler").on("click", resize)
    });
</script>


<script>
    // ==============================================================
    // caste wise 2 option
    // ==============================================================
    var castewise = echarts.init(document.getElementById('castewise'));

    // specify chart configuration item and data

    option = {
        tooltip: {
            trigger: 'item',
            formatter: "{a} <br/>{b} : {c} ({d}%)"
        },
        legend: {
            orient: 'vertical',
            x: 'left',
            data: [
              <?php $__currentLoopData = $caste; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                "<?php echo e($r->caste_name); ?>",
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            ]
        },
        toolbox: {
            show: true,
            feature: {
                dataView: { show: true, readOnly: false },
                magicType: {
                    show: true,
                    type: ['pie', 'funnel'],
                    option: {
                        funnel: {
                            x: '25%',
                            width: '50%',
                            funnelAlign: 'center',
                            max: 1548
                        }
                    }
                },
                restore: { show: true },
                saveAsImage: { show: true }
            }
        },
        color: [
            <?php for($i=0; $i<=count($age); $i++): ?>
            "<?php echo e('#' . substr(str_shuffle('ABCDEF0123456789'), 0, 6)); ?>",
            <?php endfor; ?>
        ],
        calculable: true,
        series: [
            {
                name: 'Source',
                type: 'pie',
                radius: ['30%', '90%'],
                itemStyle: {
                    normal: {
                        label: {
                            show: false
                        },
                        labelLine: {
                            show: false
                        }
                    },
                    emphasis: {
                        label: {
                            show: true,
                            position: 'center',
                            textStyle: {
                                fontSize: '20',
                                fontWeight: 'bold'
                            }
                        }
                    }
                },
                data:[
                    <?php $__currentLoopData = $casteData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
               {value:<?php echo e($r['total']); ?>, name:"<?php echo e($r['caste']); ?>"},
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        ]
            }
        ]
    };

    // use configuration item and data specified to show chart
    castewise.setOption(option, true), $(function () {
        function resize5() {
            setTimeout(function () {
                castewise.resize5()
            }, 100)
        }
        $(window).on("resize5", resize5), $(".sidebartoggler").on("click", resize5)
    });
</script>


<script>
    // pincode wise
    var myChart1 = echarts.init(document.getElementById('pincode-chart1'));

    // specify chart configuration item and data
    option = {
        tooltip: {
            trigger: 'axis'
        },
        legend: {
            data: ['Pincode No.']
        },
        toolbox: {
            show: true,
            feature: {

                magicType: { show: true, type: ['line', 'bar'] },
                restore: { show: true },
                saveAsImage: { show: true }
            }
        },
        color: ["<?php echo e('#' . substr(str_shuffle('ABCDEF0123456789'), 0, 6)); ?>"],
        calculable: true,
        xAxis: [
            {
                type: 'category',
                data: [
                    <?php $__currentLoopData = $pincode; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    "<?php echo e($r['pincode']); ?>",
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                ]
            }
        ],
        yAxis: [
            {
                type: 'value'
            }
        ],
        series: [
            {
                name: 'Pincode No.',
                type: 'bar',
                data: [
                    <?php $__currentLoopData = $pincode; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    "<?php echo e($r['total']); ?>",
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                ],
                markPoint: {
                    data: [
                        { type: 'max', name: 'Max' },
                        { type: 'min', name: 'Min' }
                    ]
                },
                markLine: {
                    data: [
                        // average of all data
                        { type: 'average', name: 'Average' }
                    ]
                }
            }
        ]
    };


    // use configuration item and data specified to show chart
    myChart1.setOption(option, true), $(function () {
        function resize1() {
            setTimeout(function () {
                myChart1.resize1()
            }, 100)
        }
        $(window).on("resize1", resize1), $(".sidebartoggler").on("click", resize1)
    });
</script>



<script>
    // ward wise
    var myChart5 = echarts.init(document.getElementById('age-chart5'));

    // specify chart configuration item and data
    option = {
        tooltip: {
            trigger: 'axis'
        },
        toolbox: {
            show: true,
            feature: {

                magicType: { show: true, type: ['line', 'bar'] },
                restore: { show: true },
                saveAsImage: { show: true }
            }
        },
        color: ["<?php echo e('#' . substr(str_shuffle('ABCDEF0123456789'), 0, 6)); ?>"],
        calculable: true,
        xAxis: [
            {
                type: 'category',
                data: [
                    <?php $__currentLoopData = $age; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $w): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    "<?php echo e($w['age']); ?>",
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                ]
            }
        ],
        yAxis: [
            {
                type: 'value'
            }
        ],
        series: [
            {
                type: 'bar',
                data: [
                    <?php $__currentLoopData = $age; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $w): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                          <?php echo e($w['total']); ?>,
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                ],
                markPoint: {
                    data: [
                        { type: 'max', name: 'Max' },
                        { type: 'min', name: 'Min' }
                    ]
                },
                markLine: {
                    data: [ 
                        // average of all data
                        { type: 'average', name: 'Average' }
                    ]
                }
            }
        ]
    };

    // use configuration item and data specified to show chart
    myChart5.setOption(option, true), $(function () {
        function resize6() {
            setTimeout(function () {
                myChart5.resize6()
            }, 100)
        }
        $(window).on("resize6", resize6), $(".sidebartoggler").on("click", resize6)
    });
</script>

<script>
    // Gender chart option
    // ==============================================================
    var doughnutChart = echarts.init(document.getElementById('favar-chart'));

    // specify chart configuration item and data

    option = {
        tooltip: {
            trigger: 'item',
            formatter: "{a} <br/>{b} : {c} ({d}%)"
        },
        legend: {
            orient: 'vertical',
            x: 'left',
            data: [
                <?php $__currentLoopData = $favar; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $fr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                "<?php echo e(ucwords($fr['favar'])); ?>",
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            ]
        },
        toolbox: {
            show: true,
            feature: {
                dataView: { show: true, readOnly: false },
                magicType: {
                    show: true,
                    type: ['pie', 'funnel'],
                    option: {
                        funnel: {
                            x: '25%',
                            width: '50%',
                            funnelAlign: 'center',
                            max: 1548
                        }
                    }
                },
                restore: { show: true },
                saveAsImage: { show: true }
            }
        },
        color: [
            <?php for($i=0; $i<=count($favar); $i++): ?>
            "<?php echo e('#' . substr(str_shuffle('ABCDEF0123456789'), 0, 6)); ?>",
            <?php endfor; ?>
        ],
        calculable: true,
        series: [
            {
                name: 'Source',
                type: 'pie',
                radius: ['30%', '90%'],
                itemStyle: {
                    normal: {
                        label: {
                            show: false
                        },
                        labelLine: {
                            show: false
                        }
                    },
                    emphasis: {
                        label: {
                            show: true,
                            position: 'center',
                            textStyle: {
                                fontSize: '20',
                                fontWeight: 'bold'
                            }
                        }
                    }
                },
                data: [
                    <?php $__currentLoopData = $favar; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $fr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    { value: <?php echo e($fr['total']); ?>, name: "<?php echo e($fr['favar']); ?>" },
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                ]
            }
        ]
    };


    // use configuration item and data specified to show chart
    doughnutChart.setOption(option, true), $(function () {
        function resize() {
            setTimeout(function () {
                doughnutChart.resize()
            }, 100)
        }
        $(window).on("resize", resize), $(".sidebartoggler").on("click", resize)
    });
</script>
<script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/flot/excanvas.js')); ?>"></script>
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/flot/jquery.flot.js')); ?>"></script>
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/flot/jquery.flot.pie.js')); ?>"></script>
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/flot/jquery.flot.time.js')); ?>"></script>
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/flot/jquery.flot.stack.js')); ?>"></script>
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/flot/jquery.flot.crosshair.js')); ?>"></script>
    <script src="<?php echo e(asset('vidhyakDesign/assets/node_modules/flot.tooltip/js/jquery.flot.tooltip.min.js')); ?>"></script>
    <script src="<?php echo e(asset('vidhyakDesign/dist/js/pages/flot-data.js')); ?>"></script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('mla.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dakshgroup/public_html/vidhansabha_election/resources/views/mla/index.blade.php ENDPATH**/ ?>